package extThopt;

import rg.corps.*; 
import rg.thopt.*;
import java.util.*; 


public class CorpsThopt
{
    public double T,P,X,V,U,H,S,M,M_sec,TC,PC,VC;
    int typeSubst;
    public Corps lecorps;
    String name,nomCorps="", presSetName="";
    Projet proj;
	
	public CorpsThopt(Projet proj, String name, Corps lecorps){
	    this.proj=proj;
	    this.name=name;
	    this.lecorps=lecorps;
	}
	
	/**
	* Rcupre les proprits d'un corps
    *<p>
	* Gets a substance's properties
	*<p>
	* not to be overriden by CorpsThopt subclasses
	*/
	
	public void getSubstProperties(){
        getSubstProperties(name);
    }

	/**
	* Rcupre les proprits d'un corps
    *<p>
	* Gets a substance's properties
	*<p>
	* not to be overriden by CorpsThopt subclasses
	*/
    public void getSubstProperties(String nom){
	    String[] args=new String[2];
	    args[0]="subst";//type of the element (see method getProperties(String[] args))
	    args[1]=nom;//name of the process (see method getProperties(String[] args))
	    Vector vProp=proj.getProperties(args);
        Double y=(Double)vProp.elementAt(0);
        T=y.doubleValue();
        y=(Double)vProp.elementAt(1);
	    P=y.doubleValue();
        y=(Double)vProp.elementAt(2);
	    X=y.doubleValue();
        y=(Double)vProp.elementAt(3);
	    V=y.doubleValue();
        y=(Double)vProp.elementAt(4);
	    U=y.doubleValue();
        y=(Double)vProp.elementAt(5);
	    H=y.doubleValue();
        y=(Double)vProp.elementAt(6);
	    S=y.doubleValue();
        y=(Double)vProp.elementAt(7);
        M=y.doubleValue();
        Integer i=(Integer)vProp.elementAt(8);
        typeSubst=i.intValue();
        y=(Double)vProp.elementAt(9);
        M_sec=y.doubleValue();
        y=(Double)vProp.elementAt(10);
        TC=y.doubleValue();
        y=(Double)vProp.elementAt(11);
        PC=y.doubleValue();
        y=(Double)vProp.elementAt(12);
        VC=y.doubleValue();
        //cette correction vaut pour les mlanges externes modRG 04/2013
        //elle ne modifie rien pour les autres corps
    	double[]prop=lecorps.getCriticalParameters();
  //  	System.out.println(" te.corps "+name+" prop[1] "+prop[1]);
    	TC=prop[0];
    	PC=prop[1];
    	VC=prop[2];
    	M=prop[3];

    }
    
	//{{DECLARE_CONTROLS
	//}}
}