/*
Copyright Renaud GICQUEL 2005-2008  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import javax.swing.table.*;
import javax.swing.*;
import java.util.*;

/**
 * Classe pour calculer un cycle vapeur en rgime non-nominal
 * 
 * le modle de turbine est celui de Stodola
 *
 * enfin, bon nombre de noms de composants sont entrs dans le code alors qu'ils devraient tre automatiquement retrouvs
 *
 * il faut enfin faire du mnage car de nombreux bouts de code inutiliss proviennent de la classe Thrust
 *
 * Cette classe illustre la manire dont une classe externe peut piloter des reparamtrages 
 * varis d'un projet de structure donne
 *
 * @author Renaud GICQUEL
 */
public class CustomizedTechnoDesignPilot extends TechnoDesignPilot 
{
    String[]technoHxes={"CustomizedTechnoHx","TechnoHx","TechnoEvapoCondensor","TechnoEvaporator","TechnoCondensor"};
	private Object[][] data_t;
	private Object[] nom_t;
    private TableModel  dataModelt;
    
	javax.swing.JButton bCustomized = new javax.swing.JButton();
    

	public CustomizedTechnoDesignPilot()
	{
	    super();
		//{{INIT_CONTROLS
		setTitle("Customized generic pilot for technological design");
		type="Customized techno design pilot";
		bCustomized.setText("Customized button");
		bCustomized.setActionCommand("Customized button");
		getContentPane().add(bCustomized);
		bCustomized.setBounds(132,410,252,37);
		SymAction lSymAction = new SymAction();
		
		bCustomized.addActionListener(lSymAction);
		
	}

    
	public String getClassDescription(){
	    return "Customized generic pilot for technological design\n\n\nauthor : R. Gicquel february 2010";
	}
    
	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == bInitialSettings)
				bInitialSettings_actionPerformed(event);
			else if (object == bMakeDesign)
				bMakeDesign_actionPerformed(event);
			else if (object == bSuppress)
				bSuppress_actionPerformed(event);
			else if (object == bCustomized)
				bCustomized_actionPerformed(event);
			
		}
	}
	
		void bCustomized_actionPerformed(java.awt.event.ActionEvent event){
		    JFrame frame=new JFrame();
		    frame.setTitle("Customized frame");
		    frame.show();
		    frame.setBounds(0, 0, 300, 200);
		    JLabel label=new JLabel();
		    label.setText("Customized text");
		    label.setBounds(10, 10, 200, 20);
		    frame.getContentPane().add(label);
		    
		}
	

	public void init_(){
		isInitialized=true;
		proj=getProjet();
		setupProject();
		
		//On rcupre la liste et le type des composants prsents dans l'diteur de schmas
		String[]listComp=proj.getEditorComponentList();
		composant=new String[listComp.length];
		nomComposant=new String[listComp.length];
        String[] args=new String[2];
        vTechnoProcess=new Vector();
        String amont="";
        String aval="";
		
		//on en extrait les noms des transfos du noyau dont on a besoin
		// savoir le compresseur et la chambre de combustion
        for(int i=0;i<listComp.length;i++){
		    composant[i]=Util.extr_value(listComp[i], "type");
		    nomComposant[i]=Util.extr_value(listComp[i], "name");
            System.out.println(composant[i]+"\t"+nomComposant[i]);

            args=new String[2];
            args[0]="process";
            args[1]=nomComposant[i];
            try{
                Vector vProp=proj.getProperties(args);
                amont=(String)vProp.elementAt(1);//gets the upstream point name
                aval=(String)vProp.elementAt(2);//gets the downstream point name
                System.out.println(amont+"\t"+aval);
                if((composant[i].equals("Compression"))||(composant[i].equals("Expansion"))||(composant[i].equals("Exchange"))){
                    Object[]obj=new Object[4];
                    obj[0]=composant[i];
                    obj[1]=nomComposant[i];
                    obj[2]=amont;
                    obj[3]=aval;
                    vTechnoProcess.addElement(obj);
                }
                
            }
            catch(Exception npe){
      //          npe.printStackTrace();
            }
            double x=0;
        
        }
        
        System.out.println();
		//On rcupre la liste des changeurs
        String[]listHX=proj.getHxList ();//ensuite, il faut utiliser getProperties

        vTechnoHx=new Vector();
        for(int i=0;i<listHX.length;i++){

            String hotFluid="";
            String coldFluid="";
            args=new String[2];
            args[0]="heatEx";
            args[1]=listHX[i];
            try{
                Vector vProp=proj.getProperties(args);
                hotFluid=(String)vProp.elementAt(0);
                coldFluid=(String)vProp.elementAt(1);
                System.out.println(hotFluid+"\t"+coldFluid);
                args[0]="process";
                args[1]=hotFluid;
                vProp=proj.getProperties(args);
                amont=(String)vProp.elementAt(1);//gets the upstream point name
                aval=(String)vProp.elementAt(2);//gets the downstream point name
                System.out.println(amont+"\t"+aval);
                args[1]=coldFluid;
                vProp=proj.getProperties(args);
                String amontFroid=(String)vProp.elementAt(1);//gets the upstream point name
                String avalFroid=(String)vProp.elementAt(2);//gets the downstream point name
                System.out.println(amontFroid+"\t"+avalFroid);
                
                Object[]obj=new Object[7];
                obj[0]=listHX[i];
                obj[1]=hotFluid;
                obj[2]=amont;
                obj[3]=aval;
                obj[4]=coldFluid;
                obj[5]=amontFroid;
                obj[6]=avalFroid;
                vTechnoHx.addElement(obj);
                
                for(int k=0;k<vTechnoProcess.size();k++){
                    Object[]ob=new Object[4];
                    ob=(Object[])vTechnoProcess.elementAt(k);
                    if((ob[0].equals("Exchange"))&&(ob[1].equals(hotFluid))){
                        vTechnoProcess.removeElementAt(k);
                        break;
                    }
                }
                for(int k=0;k<vTechnoProcess.size();k++){
                    Object[]ob=new Object[4];
                    ob=(Object[])vTechnoProcess.elementAt(k);
                    if((ob[0].equals("Exchange"))&&(ob[1].equals(coldFluid))){
                        vTechnoProcess.removeElementAt(k);
                        break;
                    }
                }

                
            }
            catch(Exception npe){
    //            npe.printStackTrace();
            }
        
        }
        
            
      for(int i=0;i<vTechnoProcess.size();i++){
            Object[]obj=new Object[4];
            obj=(Object[])vTechnoProcess.elementAt(i);
            String type=(String)obj[0];
            PointThopt Amont=new PointThopt(proj, (String)obj[2]);
            PointThopt Aval=new PointThopt(proj, (String)obj[3]);
            ExtTechnoDesign technoProcess=null;
            String typeTD="";
            typeTD=getProcessTD_type((String)obj[1]);
	    //"TechnoNozzle","TechnoTurb","TechnoGenericTurboCompr","TechnoTurboCompr","VolumCompr"
            if(type.equals("Compression")){
                
                if(typeTD.equals("TechnoTurboCompr")){
                    technoProcess=new TechnoTurboCompr(proj, (String)obj[1], Amont, Aval);
                }
                else if(typeTD.equals("TechnoGenericTurboCompr")){
                    technoProcess=new TechnoGenericTurboCompr(proj, (String)obj[1], Amont, Aval);
                }
                else if(typeTD.equals("MultiStageMappedTurboCompr")){
                    technoProcess=new MultiStageMappedTurboCompr(proj, (String)obj[1], Amont, Aval);
                }
                else {
                    technoProcess=new VolumCompr(proj, (String)obj[1], Amont, Aval);
                }
		    }
		    else if(type.equals("Expansion")){
		        if(typeTD.equals("TechnoNozzle")){
		            technoProcess=new TechnoNozzle(proj, (String)obj[1], Amont, Aval);
		        }
		        if(typeTD.equals("MultiStageMappedTurbine")){
		            technoProcess=new MultiStageMappedTurbine(proj, (String)obj[1], Amont, Aval);
		        }
		        else {
		            technoProcess=new TechnoTurb(proj, (String)obj[1], Amont, Aval);
		            typeTD="TechnoTurb";
		        }
		    }
		    else if(type.equals("Exchange")){
		        technoProcess=new TechnoExch(proj, (String)obj[1], Amont, Aval);
		        typeTD="TechnoExch";
		    }
	        addTechnoVector(technoProcess);
            Object[]ob=new Object[2];
	        ob[0]=obj[1];
	        ob[1]=typeTD;
	        int k=-1;
	        for(int j=0;j<vProcessTD_List.size();j++){
	             Object[]obje=new Object[2];
	             obje=(Object[])vProcessTD_List.elementAt(j);
	             if(obje[0].equals(obj[1])){
	                k=j;
	                break;
	             }
	        }
	        if(k==-1)vProcessTD_List.addElement(ob);// ne faire que s'il n'existe pas
	        else vProcessTD_List.setElementAt(ob,k);
	    }
    
        for(int i=0;i<vTechnoHx.size();i++){
            Object[]obj=new Object[7];
            obj=(Object[])vTechnoHx.elementAt(i);
            PointThopt Amont=new PointThopt(proj, (String)obj[2]);
            PointThopt Aval=new PointThopt(proj, (String)obj[3]);
            PointThopt AmontFroid=new PointThopt(proj, (String)obj[5]);
            PointThopt AvalFroid=new PointThopt(proj, (String)obj[6]);
            CustomizedTechnoHx technoExch=null;
            String typeTD=getHxTD_type((String)obj[0]);
//	    "TechnoHx","TechnoEvapoCondensor","TechnoEvaporator","TechnoCondensor"
/*		    if(typeTD.equals("TechnoEvapoCondensor")){
		        technoExch=new TechnoEvapoCondensor(proj, (String)obj[0], Amont, Aval, AmontFroid, AvalFroid);
		    }
		    else if(typeTD.equals("TechnoEvaporator")){
		        technoExch=new TechnoEvaporator(proj, (String)obj[0], Amont, Aval, AmontFroid, AvalFroid);
		    }
		    else if(typeTD.equals("TechnoCondensor")){
		        technoExch=new TechnoCondensor(proj, (String)obj[0], Amont, Aval, AmontFroid, AvalFroid);
		    }
		    else {*/
		        technoExch=new CustomizedTechnoHx(proj, (String)obj[0], Amont, Aval, AmontFroid, AvalFroid);
		  //  }
	        addTechnoVector(technoExch);
            Object[]ob=new Object[2];
	        ob[0]=obj[0];
	        ob[1]=typeTD;
	        int k=-1;
	        for(int j=0;j<vHxTD_list.size();j++){
	             Object[]obje=new Object[2];
	             obje=(Object[])vHxTD_list.elementAt(j);
	             if(obje[0].equals(obj[0])){
	                k=j;
	                break;
	             }
	        }
	        if(k==-1)vHxTD_list.addElement(ob);// ne faire que s'il n'existe pas
	        else vHxTD_list.setElementAt(ob,k);
	    }

            double x=0;
		setupTechnoDesigns(vTechno);
		
        setup_vTD_List();
  
        updateTablet();
        
	}
	
	String getHxTD_type(String nomHx){
//	    "TechnoHx","TechnoEvapoCondensor","TechnoEvaporator","TechnoCondensor"
	    for(int i=0;i<vHxTD_list.size();i++){
	        Object[]obj=new Object[2];
	        obj=(Object[])vHxTD_list.elementAt(i);
	        String nom=(String)obj[0];
	        String nomTD=(String)obj[1];
	        if(nomHx.equals(nom)){
	            return nomTD;
	        }
	    }
	    return "TechnoHx";
	}
	    
	void setupTechnoDesigns(Vector vTechnoDesign){
	    Vector vSettings=new Vector();
        if(technoDesignData.equals(""))technoDesignData=saveTechno();
	    if(technoDesignData.equals(""))setupTechnoDesigns();
	    else{//cas o il faut relire les donnes
	        StringTokenizer st = new StringTokenizer(technoDesignData,"\n");
	        while(st.hasMoreTokens()){
	            String ligne=st.nextToken();
		        String type=Util.extr_value(ligne,"compType");
		        String comp=Util.extr_value(ligne,"component");
		        String value="";
		        if(type.equals("HeatEx")){//changeurs : 3 lignes dans ce cas
		            value=Util.extr_value(ligne,"ADesign_value");
		            for(int j=0;j<vTechnoDesign.size();j++){
	                    CustomizedTechnoHx etd;
		                Object[]obj1=new Object[5];
	                    obj1=(Object[])vTechno.elementAt(j);
	                    try{
	                        etd=(CustomizedTechnoHx)obj1[1];//Attention au cas o il y a ClassCastException
		                    String etdType=(String)obj1[4];
		                    String etdComp=(String)obj1[0];
		                    if((comp.equals(etdComp))&&(type.equals(etdType))){
		                        if(!(value==null)){
	                                etd.ADesign_value.setText(value);
	                            }
	                            value=Util.extr_value(ligne,"eLambda");
		                        if(!(value==null)){
	                                etd.eLambda_value.setText(value);
	                            }
	                            value=Util.extr_value(ligne,"Customized_value");
		                        if(!(value==null)){
	                                etd.Customized_value.setText(value);
	                            }
	                            ligne=st.nextToken();
		                        etd.techc.readCompParameters(ligne);
	                            ligne=st.nextToken();
		                        etd.techf.readCompParameters(ligne);
		                        Object[]obj=new Object[3];
		                        obj[0]=comp;
		                        obj[1]=type;
		                        obj[2]=etd;
		                        vSettings.addElement(obj);
		                        break;
		                    }
		                }
		                catch(ClassCastException cce){
//		                    cce.printStackTrace();
		                }
		            }
		        }
		        else if(type.equals("ThermoCoupler")){//thermocoupleurs : 2 lignes dans ce cas
		            value=Util.extr_value(ligne,"ADesign_value");
		            for(int j=0;j<vTechnoDesign.size();j++){
	                    TechnoTC etd;
		                Object[]obj1=new Object[5];
	                    obj1=(Object[])vTechno.elementAt(j);
	                    try{
	                        etd=(TechnoTC)obj1[1];//Attention au cas o il y a ClassCastException
		                    String etdType=(String)obj1[4];
		                    String etdComp=(String)obj1[0];
		                    if((comp.equals(etdComp))&&(type.equals(etdType))){
		                        if(!(value==null)){
	                                etd.ADesign_value.setText(value);
	                            }
	                            value=Util.extr_value(ligne,"eLambda");
		                        if(!(value==null)){
	                                etd.eLambda_value.setText(value);
	                            }
	                            ligne=st.nextToken();
		                        etd.tech.readCompParameters(ligne);
		                        Object[]obj=new Object[3];
		                        obj[0]=comp;
		                        obj[1]=type;
		                        obj[2]=etd;
		                        vSettings.addElement(obj);
		                        break;
		                    }
		                }
		                catch(ClassCastException cce){
//		                    cce.printStackTrace();
		                }
		            }
		        }
		        else{//autres TechnoDesign
		            for(int j=0;j<vTechnoDesign.size();j++){
	                    ExtTechnoDesign etd;
		                Object[]obj1=new Object[5];
	                    obj1=(Object[])vTechno.elementAt(j);
	                    etd=(ExtTechnoDesign)obj1[1];
		                String etdType=(String)obj1[4];
		                String etdComp=(String)obj1[0];
		                if((comp.equals(etdComp))&&(type.equals(etdType))){
		                    etd.readCompParameters(ligne);
		                    Object[]obj=new Object[3];
		                    obj[0]=comp;
		                    obj[1]=type;
		                    obj[2]=etd;
		                    vSettings.addElement(obj);
		                    break;
		                }
		            }
		        }
	        } 
	    }
		proj.bindTechnoDesigns(vSettings);
	}
	


	/**
	 * manages JTable mouse double-clicks
	 */
void Projet_mousePressed(java.awt.event.MouseEvent event)
{
	Object object = event.getSource();
	int nb_click=event.getClickCount();
	if(nb_click>=2){
	  	
	    if (object == tableViewt){
	        int line=tableViewt.getSelectedRow();
	        String nomComp=(String)data_t[line][0];
	        String nomTD=(String)data_t[line][2];
	        String typeComp=(String)data_t[line][1];
	        int nPoints=vTD_List.size();
//	        data_t= new Object[nPoints][4];
	        int l=-1;
	        String tdType="";
	        Object[]obj=new Object[9];
	        for(int k=0;k<nPoints;k++){
	            obj=(Object[])vTD_List.elementAt(k);
		        String nom=(String)obj[2];
		        String td=(String)obj[1];
		        tdType=(String)obj[0];
		        if((nom.equals(nomComp))&&(td.equals(nomTD))){
		            l=k;
		            break;
		        }
		    }
		    if(l!=-1){
		        //demande "dsirez-vous changer de TechnoDesign"		        
		        boolean resp=Util.Confirm(this,"Change the TechnoDesign", 
	            "Cancel","Watch out!","Do you want to change the TechnoDesign of this component?");
                if(resp){
                    String[]listTD;
                    if(tdType.equals("HeatEx"))listTD=technoHxes;
                    else listTD=technoProcesses;
          	            
		            //Si oui, propose liste
		            String newTd=JCombo.DemandeCombo(this,"Choose the TechnoDesign",listTD);
		            //aprs choix, instanciation du nouveau TechnoDesign 
	                if(newTd!=null){
	                    if(tdType.equals("HeatEx")){
                            PointThopt Amont=new PointThopt(proj, (String)obj[4]);
                            PointThopt Aval=new PointThopt(proj, (String)obj[5]);
                            PointThopt AmontFroid=new PointThopt(proj, (String)obj[7]);
                            PointThopt AvalFroid=new PointThopt(proj, (String)obj[8]);
                            TechnoHx technoExch=null;
		                    if(newTd.equals("TechnoEvapoCondensor")){
		                        technoExch=new TechnoEvapoCondensor(proj, nomComp, Amont, Aval, AmontFroid, AvalFroid);
		                    }
		                    else if(newTd.equals("TechnoEvaporator")){
		                        technoExch=new TechnoEvaporator(proj, nomComp, Amont, Aval, AmontFroid, AvalFroid);
		                    }
		                    else if(newTd.equals("TechnoCondensor")){
		                        technoExch=new TechnoCondensor(proj, nomComp, Amont, Aval, AmontFroid, AvalFroid);
		                    }
		                    else if(newTd.equals("CustomizedTechnoHx")){
		                        technoExch=new CustomizedTechnoHx(proj, nomComp, Amont, Aval, AmontFroid, AvalFroid);
		                    }
		                    else {
		                        technoExch=new TechnoHx(proj, nomComp, Amont, Aval, AmontFroid, AvalFroid);
		                    }
		                    updateTechnoVector(technoExch);
                            Object[]ob=new Object[2];
	                        ob[0]=obj[2];
	                        ob[1]=newTd;
	                        int k=-1;
	                        for(int j=0;j<vHxTD_list.size();j++){
	                            Object[]obje=new Object[2];
	                            obje=(Object[])vHxTD_list.elementAt(j);
	                            if(obje[0].equals(obj[2])){
	                                k=j;
	                                break;
	                            }
	                        }
	                        if(k!=-1)vHxTD_list.setElementAt(ob,k);
	                    }
	                    else{
                            String type=(String)obj[0];
                            String amont=(String)obj[3];
                            String aval=(String)obj[4];
                            PointThopt Amont=new PointThopt(proj, amont);
                            PointThopt Aval=new PointThopt(proj, aval);
                            ExtTechnoDesign technoProcess=null;
                            if(type.equals("Compression")){
                                if(newTd.equals("TechnoTurboCompr")){
                                    technoProcess=new TechnoTurboCompr(proj, nomComp, Amont, Aval);
                                }
                                else if(newTd.equals("TechnoGenericTurboCompr")){
                                    technoProcess=new TechnoGenericTurboCompr(proj, nomComp, Amont, Aval);
                                }
                                else {
                                    technoProcess=new VolumCompr(proj, nomComp, Amont, Aval);
                                }
		                    }
		                    else if(type.equals("Expansion")){
		                        if(newTd.equals("TechnoNozzle")){
		                            technoProcess=new TechnoNozzle(proj, nomComp, Amont, Aval);
		                        }
		                        else {
		                            technoProcess=new TechnoTurb(proj, nomComp, Amont, Aval);
		                        }
		                    }
		                    else if(type.equals("Exchange")){
		                        technoProcess=new TechnoExch(proj, nomComp, Amont, Aval);
//		                        typeTD="TechnoExch";
		                    }
		                    
		                    updateTechnoVector(technoProcess);
		                    Object[]ob=new Object[2];
	                        ob[0]=obj[2];
	                        ob[1]=newTd;
	                        int k=-1;
	                        for(int j=0;j<vProcessTD_List.size();j++){
	                            Object[]obje=new Object[2];
	                            obje=(Object[])vProcessTD_List.elementAt(j);
	                            if(obje[0].equals(obj[2])){
	                                k=j;
	                                break;
	                            }
	                        }
	                        if(k!=-1)vProcessTD_List.setElementAt(ob,k);
	                    }
	                }
		            //mise  jour des Vector concerns 
	                setup_vTD_List();
      	            updateTablet();
		            setupTechnoDesigns(vTechno);
                }
		    }

	    }
	
	  }
	}
}