/*
Copyright Renaud GICQUEL 2008  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import rg.thopt.*;
import java.util.*;
import javax.swing.*;
import java.lang.reflect.*;

public class TechnoExch extends ExtTechnoDesign
{
    boolean diph;
    TechnoHx tHx;
    TechnoExch otherTe;
    TechnoTC tTc;
    public FlowConfig fc;
    SettingsFrame sf;
    String[]listeConf;
    String exchangeName;
 //   String[]listeConf={"int_tube","ext_tube","cond","cond_ext_hor","evap","air_coil","cool_tower","flooded","plate"};
    String[]listeDescr;
    Class[]listeClasses;

	double T,lambda,mu;
	public double mu_l,mu_v,ro_l,ro_v, fluidLoad;
//	public double fluidLoad;
	double Pr,Re,Nu, G,dP,h,Cpx;
    double Tce,Tci,Tcs,corpsfX;
    Vector vFlowConfigClasses;
    
    
	public TechnoExch(){
	    
	}
    
	public TechnoExch(Projet proj, TechnoHx tHx, String exchangeName, PointThopt amont, PointThopt aval)
	{
		this(proj, exchangeName, amont, aval);
		this.tHx=tHx;
	}

	public TechnoExch(Projet proj, TechnoTC tTc, String exchangeName, PointThopt amont, PointThopt aval)
	{
		this(proj, exchangeName, amont, aval);
		this.tTc=tTc;
	}
	public TechnoExch(Projet proj, String exchangeName, PointThopt amont, PointThopt aval)
	{
		super(proj, exchangeName, amont, aval);
		this.exchangeName=componentName;
	    setupPanel();
        setupListeConf();
	}
	
	public TechnoExch(Projet proj, TechnoHx tHx, String exchangeName)
	{
		this(proj, exchangeName);
		this.tHx=tHx;
	}
	public TechnoExch(Projet proj, TechnoTC tTc, String exchangeName)
	{
		this(proj, exchangeName);
		this.tTc=tTc;
	}
	public TechnoExch(Projet proj, String exchangeName)
	{
		super(proj, exchangeName);
		this.exchangeName=componentName;
	    setupPanel();
        setupListeConf();
	}
	
	
	void setupPanel(){
		JPanel1.setLayout(null);
		JPanel1.setBackground(new java.awt.Color(238,238,238));
		JPanel1.setBounds(0,48,804,144);
		JLabel7.setText("free flow area");
		JPanel1.add(JLabel7);
		JLabel7.setBounds(0,100,144,24);
		Ac_value.setText("1");
		Ac_value.setSelectionColor(new java.awt.Color(204,204,255));
		Ac_value.setSelectedTextColor(java.awt.Color.black);
		Ac_value.setCaretColor(java.awt.Color.black);
		Ac_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(Ac_value);
		Ac_value.setBounds(144,100,104,24);
		JLabel1.setText("hydr. diameter");
		JPanel1.add(JLabel1);
		JLabel1.setBounds(0,124,144,24);
		Dh_value.setText("0.01");
		Dh_value.setSelectionColor(new java.awt.Color(204,204,255));
		Dh_value.setSelectedTextColor(java.awt.Color.black);
		Dh_value.setCaretColor(java.awt.Color.black);
		Dh_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(Dh_value);
		Dh_value.setBounds(144,124,104,24);
		JLabel13.setText("length");
		JPanel1.add(JLabel13);
		JLabel13.setBounds(0,148,144,24);
		L_value.setText("1");
		L_value.setSelectionColor(new java.awt.Color(204,204,255));
		L_value.setSelectedTextColor(java.awt.Color.black);
		L_value.setCaretColor(java.awt.Color.black);
		L_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(L_value);
		L_value.setBounds(144,148,104,24);
		JLabel17.setText("surface factor");
		JPanel1.add(JLabel17);
		JLabel17.setBounds(0,172,144,24);
		FA_value.setText("1");
		FA_value.setSelectionColor(new java.awt.Color(204,204,255));
		FA_value.setSelectedTextColor(java.awt.Color.black);
		FA_value.setCaretColor(java.awt.Color.black);
		FA_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(FA_value);
		FA_value.setBounds(144,172,104,24);
		JLabMorisot.setText("fin effectiveness");
		JPanel1.add(JLabMorisot);
		JLabMorisot.setBounds(0,196,144,24);
		etaF_value.setText("1");
		etaF_value.setSelectionColor(new java.awt.Color(204,204,255));
		etaF_value.setSelectedTextColor(java.awt.Color.black);
		etaF_value.setCaretColor(java.awt.Color.black);
		etaF_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(etaF_value);
		etaF_value.setBounds(144,196,104,24);
		JPanel1.add(JComboConfig);
		JComboConfig.setBounds(252,100,436,28);
		JCheckPresAvalSet.setText("downstream pressure set");
		JCheckPresAvalSet.setActionCommand("downstream pressure set");
//		JPanel1.add(JCheckPresAvalSet);
		JCheckPresAvalSet.setBounds(452,148,192,24);
		JLabel9.setText("pressure drop");
		JPanel1.add(JLabel9);
		JLabel9.setBounds(482,172,102,24);
		dP_value.setText("0");
		dP_value.setSelectionColor(new java.awt.Color(204,204,255));
		dP_value.setSelectedTextColor(java.awt.Color.black);
		dP_value.setCaretColor(java.awt.Color.black);
		dP_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		dP_value.setEditable(false);
		JPanel1.add(dP_value);
		dP_value.setBounds(584,172,104,24);
		JPanel1.add(messLabel);
		messLabel.setForeground(java.awt.Color.red);
		messLabel.setBounds(0,220,504,24);
		JLabel3.setText("friction factor");
		JPanel1.add(JLabel3);
		frictionFactor_value.setText("0.02");
		frictionFactor_value.setSelectionColor(new java.awt.Color(204,204,255));
		frictionFactor_value.setSelectedTextColor(java.awt.Color.black);
		frictionFactor_value.setCaretColor(java.awt.Color.black);
		frictionFactor_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		frictionFactor_value.setEditable(false);
		JPanel1.add(frictionFactor_value);
		frictionFactor_value.setBounds(584,196,104,24);
		JLabel3.setBounds(482,196,102,24);
		displayLabel.setText("?");
		JPanel1.add(displayLabel);
		displayLabel.setBounds(252,148,132,24);
		display_value.setText("1");
		display_value.setSelectionColor(new java.awt.Color(204,204,255));
		display_value.setSelectedTextColor(java.awt.Color.black);
		display_value.setCaretColor(java.awt.Color.black);
		display_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(display_value);
		display_value.setBounds(384,148,48,24);
		bSettings.setText("correlation settings");
		bSettings.setActionCommand("a..");
		JPanel1.add(bSettings);
		bSettings.setBounds(252,130,148,20);
		
		JLabel2.setText("local \u0394P loss coeff.");
		JPanel1.add(JLabel2);
		JLabel2.setBounds(482,148,142,24);
		dPSing_value.setText("0");
		JPanel1.add(dPSing_value);
		dPSing_value.setBounds(630,148,58,24);
		
//		JPanel1.add(JLabCompName);
		JLabCompName.setBounds(0,0,0,0);
		//}}

		//{{REGISTER_LISTENERS
		SymItem lSymItem = new SymItem();
		JComboConfig.addItemListener(lSymItem);
		SymMouse aSymMouse = new SymMouse();
		dP_value.addMouseListener(aSymMouse);
		SymAction lSymAction = new SymAction();
		bSettings.addActionListener(lSymAction);
		JLabCompName.setText("name");
//		JPanel1.add(JLabCompName);
		JLabCompName.setBounds(432,36,228,24);
		//}}

		//{{INIT_MENUS
		//}}

		JPanel1.remove(display_value);
		JPanel1.remove(displayLabel);
	}
	
	void setupListeConf(){
		JLabCompName.setText(exchangeName);
        fc=new IntTubeConfig(this);
        sf=new SettingsFrame(this);
        vFlowConfigClasses=proj.getFlowConfigClasses();
	    listeConf=new String[vFlowConfigClasses.size()];
        listeClasses= new Class[vFlowConfigClasses.size()];
        listeDescr= new String[vFlowConfigClasses.size()];
	    for(int i=0;i<vFlowConfigClasses.size();i++){
	       Object[] obj=new Object[2];
	       obj=(Object[])vFlowConfigClasses.elementAt(i);
	       String item=(String)obj[1]+" | "+(String)obj[2];
	        JComboConfig.addItem(item);
	        listeConf[i]=(String)obj[1];
	        listeDescr[i]=(String)obj[2];
	        listeClasses[i]=(Class)obj[0];
	    }
		JComboConfig.setSelectedIndex(0);
	}
		
	//prermet  un TechnoEch de connatre celui auquel il est appari
	public void setOtherTechnoExch(){
		if(tHx.techc==this)otherTe=tHx.techf;
		if(tHx.techf==this)otherTe=tHx.techc;
	}

    public String getType(){
        return "TechnoExch";
    }
    public String getClassName(){
        return "TechnoExch";
    }
    
	
	//{{DECLARE_CONTROLS
	javax.swing.JLabel JLabel7 = new javax.swing.JLabel();
	public javax.swing.JTextField Ac_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel1 = new javax.swing.JLabel();
	public javax.swing.JTextField Dh_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel13 = new javax.swing.JLabel();
	public javax.swing.JTextField L_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel17 = new javax.swing.JLabel();
	public javax.swing.JTextField FA_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabMorisot = new javax.swing.JLabel();
	public javax.swing.JTextField etaF_value = new javax.swing.JTextField();
	javax.swing.JComboBox JComboConfig = new javax.swing.JComboBox();
	javax.swing.JCheckBox JCheckPresAvalSet = new javax.swing.JCheckBox();
	javax.swing.JLabel JLabel9 = new javax.swing.JLabel();
	public javax.swing.JTextField dP_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel2 = new javax.swing.JLabel();
	public javax.swing.JTextField dPSing_value = new javax.swing.JTextField();
	javax.swing.JLabel messLabel = new javax.swing.JLabel();
	public javax.swing.JTextField frictionFactor_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel3 = new javax.swing.JLabel();
	javax.swing.JLabel displayLabel = new javax.swing.JLabel();
	javax.swing.JTextField display_value = new javax.swing.JTextField();
	javax.swing.JButton bSettings = new javax.swing.JButton();
	javax.swing.JLabel JLabCompName = new javax.swing.JLabel();
	//}}

	//{{DECLARE_MENUS
	//}}
	
	 //densit moyenne en diphasique pour le calcul de la charge en frigorigne
	public double getMeanDensity(){
	    return fc.ro_m;
	}
	//calcul de la charge de fluide dans la transfo
	public double getFluidLoad(){
	    
	    double Ac=Util.lit_d(Ac_value.getText());
	    double L=Util.lit_d(L_value.getText());
	    double vol=L*Ac;
	    double Vl=aval.V;
	    double Vv=amont.V;
	    if(Vl>Vv){
	        Vl=amont.V;
	        Vv=aval.V;
	    }
	    double Av=0,Alv=0,Al=0;
	    if(tHx!=null){
	        Av=tHx.getAv();
	        Alv=tHx.getAlv();
	        Al=tHx.getAl();
	    }else if(tTc!=null){
	        Av=tTc.getAv();
	        Alv=tTc.getAlv();
	        Al=tTc.getAl();
	    } 
	    double test=Av*Av+Alv*Alv+Al*Al;
	    if(test==0){//cas monophasique
	        fluidLoad=vol*(2./Vl+2./Vv);
	    }
	    else{
	        double ro_m=getMeanDensity();
	        double ml=vol*Al/(Al+Av+Alv)/Vl;
	        double mlv=vol*Alv/(Al+Av+Alv)*ro_m;
	        double mv=vol*Av/(Al+Av+Alv)/Vv;
	        fluidLoad=ml+mlv+mv;
	    }
	    return fluidLoad;
	}
	
		//vitesse massique
	public void calcG(){
	    G= getFlow()/Util.lit_d(Ac_value.getText());//vitesse massique
	}
	public double getG(){
	    return G;//vitesse massique
	}
	//Nombre de Reynolds
	public double getRe(){
	    return Re;//nombre de Reynolds
	}
	public void calcRe(){
//	    Re=4./Math.PI*G/mu*Util.lit_d(Dh_value.getText());//nombre de Reynolds
	    Re=G/mu*Util.lit_d(Dh_value.getText());//nombre de Reynolds
//        System.out.println("CalcReTechnoExch "+corps.name + " mu : "+mu+ " G : "+G+ " Re : "+Re );
	}
	//Nombre de Prandtl
	public void calcPr(double Cp){
	    Pr= 1000.*Cp*mu/lambda;//nombre de Prandtl en kJ/kg/K
	}
	public double getPr(){
	    return Pr;//nombre de Prandtl en kJ/kg/K
	}
	public void calcPr(){
	    double Cp=0;
        if(amont.T!=aval.T){
            if(amont.X==aval.X)Cp=Math.abs((amont.H-aval.H)/(amont.T-aval.T));
            else Cp=Cpx;
        }
	    calcPr(Cp);//nombre de Prandtl en kJ/kg/K
	}
	public double getH(){
	    return h;//Coefficient d'change thermique en kJ/m2/K
	}
	//Coefficient d'change thermique
	public void calcH(){
	    h= lambda*Nu/Util.lit_d(Dh_value.getText());
	}
	
	public void initLambdaMu(double T, double P, double x){
	    //T est la temprature moyenne du fluide 
	    //x est le titre  prendre en compte pour le calcul des proprits du fluide (lambda et mu)
	    //(x=0 signifie calcul  l'tat liquide, et x=1  l'tat gazeux)
		
		double Psat=corps.lecorps.getSatPressure(T, x);
	    if(x==0){
	    	corps.lecorps.CalcPropCorps(T-0.1, Psat, x);	    	
	    }
	    else{
	    	corps.lecorps.CalcPropCorps(T+0.1, Psat, 1);	    	
	    }
	    corps.getSubstProperties();
        double h=corps.H;
/*	  	   ancienne approche (on forait liquide ou vapeur en fonction de x arbitraire, ce qui n'est plus possible
	    if(x==0){
		    lambda=corps.lecorps.getLiquidConductivity(T);
	        mu=corps.lecorps.getLiquidViscosity(T);
	        mu_l=mu;
	        ro_l=1/corps.V;
	    }
	    else{
	        lambda=corps.lecorps.getVaporConductivity(T);
	        mu=corps.lecorps.getVaporViscosity(T);
	        mu_v=mu;
	        ro_v=1/corps.V;
	    }
*/
        double rho=1/corps.V/corps.M;
//        System.out.println("TRAPP "+corps.name+ " T : "+T+ " P : "+P+ " V : "+corps.V);
//        System.out.println("TRAPP "+corps.name+ " corps.M : "+corps.M+ " rho : "+rho);
        corps.lecorps.CalcPropCorps(T, P, x);
	    corps.getSubstProperties();
	    rho=1/corps.V/corps.M;
//        System.out.println("TRAPP 2 "+corps.name+ " T : "+T+ " P : "+P+ " V : "+corps.V);
//        System.out.println("TRAPP 2 "+corps.name+ " corps.M : "+corps.M+ " rho : "+rho);
       double[]res=corps.lecorps.getTransportProperties(T, rho);
        mu=res[0];
        lambda=res[1];
  //      System.out.println("TRAPP "+corps.name + " T : "+T+ " rho : "+rho+ " x : "+x+" mu : "+mu+" lambda : "+lambda);
        //Problme : initialisations de ro_l, mu_l...  calcul h
        if(x==0){
	        mu_l=mu;
	        ro_l=1/corps.V;
	    }
	    else{
	        mu_v=mu;
	        ro_v=1/corps.V;
	    }
  /*      if(x==0){
            corps.lecorps.CalcPropCorps(T, Psat, x);
            corps.getSubstProperties();
            Cpx=10.*(corps.H-h);
            mu_l=mu;
            ro_l=1/corps.V;
        }
        else{
            corps.lecorps.CalcPropCorps(T+1, Psat, x);
            corps.getSubstProperties();
            Cpx=(corps.H-h)/1.1;
            mu_v=mu;
            ro_v=1/corps.V;
        }*/

	    if(corps.typeSubst<3){//eau et vapeurs
//	        double Psat=corps.lecorps.getSatPressure(T, x);
	        corps.lecorps.CalcPropCorps(T, Psat, x);
	        corps.getSubstProperties();
	        h=corps.H;
	        if(x==0){
	            corps.lecorps.CalcPropCorps(T-0.1, Psat, x);
	            corps.getSubstProperties();
	            Cpx=10.*(h-corps.H);
	            mu_l=mu;
	            ro_l=1/corps.V;
	        }
	        else{
	            corps.lecorps.CalcPropCorps(T+1, Psat, x);
	            corps.getSubstProperties();
	            Cpx=corps.H-h;
	            mu_v=mu;
	            ro_v=1/corps.V;
	        }
	    }
	}
	
    public double getPressureDrop(){
        return  dP;
    }
	
	
	public void calcNUsselt(){
	    T=(amont.T+aval.T)/2;
	    double xc=amont.X;
	    double Cp=0;
        if(amont.T!=aval.T){
            Cp=Math.abs((amont.H-aval.H)/(amont.T-aval.T));
        }
	    
	    calcNusselt(T, amont.P, xc, Cp, true,false);
	}


	public void calcNusselt(double T, double P, double x, double Cp, 
	    boolean calcDP, boolean diph){
	    //T est la temprature moyenne du fluide 
	    //P est la pression du fluide 
	    //x est le titre  prendre en compte pour le calcul des proprits du fluide (lambda et mu)
	    //(x=0 signifie calcul  l'tat liquide, et x=1  l'tat gazeux)
	    //Cp est la capacit thermique massique spcifique
	    //  prendre en compte pour le calcul des proprits des fluides (lambda et mu)
	    //calcDP est true si le calcul de la perte de charge est effectu 
	    //(il n'est pour le moment valable que pour l'changeur en sensible)
	    //diph est true pour le calcul de Ulv dans un changeur 3 steps dclar "cond" ou "evap"
	    // il est false pour le calcul de Ul et Uv, auquel cas il est considr "int_tube" pour le moment
	    // Cette manire de faire pourrait tre amliore. Elle est ncessaire parce qu'un changeur
	    // 3 steps a le mme TechnoHx qu'un changeur normal, ce qui est susceptible d'voluer
	    this.diph=diph;
	    initLambdaMu(T, P, x);
	    if(mu*lambda!=0){
	        calcG();//vitesse massique
	        calcPr(Cp);//nombre de Prandtl Cp en kJ/kg/K
	        calcRe();//nombre de Reynolds
	        Nu=fc.calcNu(P);//le relais est pass  la FlowConfig
//	        double dP=fc.calcDP();
	        calcH();
	    }
	    else{//message : lambda ou mu du fluide inconnu
		    String message="The conductivity or the viscosity is zero for fluid: "+corps.name;
            message=message+"\nYou should check the corresponding external class";
            JOptionPane.showMessageDialog(new JFrame(),message);
	    }
	}
	
	public void makeDesign(){
	//    makesDesign=true;
	        calcNUsselt();
	        if(mu*lambda!=0){
                double fin_c=Util.lit_d(FA_value.getText())*Util.lit_d(etaF_value.getText());
                double Nuc=Nu;
                double hc=lambda*Nu*fin_c/Util.lit_d(Dh_value.getText());
//                JLabhvc.setText("hc = "+Util.aff_d(hc,2)+"  Re = "+Util.aff_d(getRe(),2));
	            
//	            U=1./(Dh_value.getValue()/lambda/Nu/fin_c+techf.Dh_value.getValue()/techf.lambda/techf.Nu/fin_f);
	/*            U=hc;
	            U_value.setText(Util.aff_d(U,4));
	            double A=UA/U*1000.;//UA en kW/K
	            ADesign_value.setText(Util.aff_d(A,4));
	            A_value.setText(Util.aff_d(A));*/
	        }
	        calcPressureDrop(false);
//	    makesDesign=false;
	}
	
	
	
	public void calcPressureDrop(boolean calcNusselt){
	    if(calcNusselt)calcNUsselt();
	    dP=fc.calcDP();//le relais est pass  la FlowConfig
	    dP_value.setText(Util.aff_d(dP,6));
}
	
	/**
	 * reads project file specific technoDesign data
	 */
	public void readCaract(String ligne_data){
//	    super.readCaract(ligne_data);
		String val=Util.extr_value2(ligne_data, "type");
		int l=-1;
	    for(int i=0;i<vFlowConfigClasses.size();i++){
	        Object[] obj=new Object[2];
	        obj=(Object[])vFlowConfigClasses.elementAt(i);
	        String item=(String)obj[1];
	        if(item.equals(val)){
	            l=i;
	            break;
	        }
	    }
		if(l>0)JComboConfig.setSelectedIndex(l);
		else if(l==0){//faute de quoi rien n'est fait
		    JComboConfig.setSelectedIndex(1);
		    JComboConfig.setSelectedIndex(0);
		}
		else {
		    String message="Watch out: there is no flow configuration class for code: "+ val;
	            message=message+"\nYou should check the corresponding external class";
	            JOptionPane.showMessageDialog(new JFrame(),message);
        }
        Ac_value.setText(Util.extr_value2(ligne_data, "free_flow"));
		Dh_value.setText(Util.extr_value2(ligne_data, "Dh"));
		L_value.setText(Util.extr_value2(ligne_data, "length"));
		FA_value.setText(Util.extr_value2(ligne_data, "surf_fact"));
		etaF_value.setText(Util.extr_value2(ligne_data, "fin"));
		val=Util.extr_value2(ligne_data, "DPArea");
		if(val!=null)frictionFactor_value.setText(val);
		else frictionFactor_value.setText(Ac_value.getText());
		fc.readCaract(ligne_data);//on passe le relais au FlowConfig
		String presaval=Util.extr_value2(ligne_data, "pres_aval");
		if(presaval!=null)JCheckPresAvalSet.setSelected(Util.lit_b(presaval));
	}
	public void readCompParameters(String ligne_data){
//	    super.readCaract(ligne_data);
//		JComboConfig.setSelectedItem(Util.extr_value(ligne_data, "type"));
		String val=Util.extr_value(ligne_data, "type");
		int l=-1;
	    for(int i=0;i<vFlowConfigClasses.size();i++){
	        Object[] obj=new Object[2];
	        obj=(Object[])vFlowConfigClasses.elementAt(i);
	        String item=(String)obj[1];
	        if(item.equals(val)){
	            l=i;
	            break;
	        }
	    }
		if(l>0)JComboConfig.setSelectedIndex(l);
		else if(l==0){//faute de quoi rien n'est fait
		    JComboConfig.setSelectedIndex(1);
		    JComboConfig.setSelectedIndex(0);
		}
		else {
		    String message="Watch out: there is no flow configuration class for code: "+ val;
	            message=message+"\nYou should check the corresponding external class";
	            JOptionPane.showMessageDialog(new JFrame(),message);
        }
        Ac_value.setText(Util.extr_value(ligne_data, "free_flow"));
		Dh_value.setText(Util.extr_value(ligne_data, "Dh"));
		L_value.setText(Util.extr_value(ligne_data, "length"));
		FA_value.setText(Util.extr_value(ligne_data, "surf_fact"));
		etaF_value.setText(Util.extr_value(ligne_data, "fin"));
		val=Util.extr_value(ligne_data, "DPArea");
		if(val!=null)frictionFactor_value.setText(val);
		else frictionFactor_value.setText(Ac_value.getText());
		fc.readCompParameters(ligne_data);//on passe le relais au FlowConfig
		String presaval=Util.extr_value(ligne_data, "pres_aval");
		if(presaval!=null)JCheckPresAvalSet.setSelected(Util.lit_b(presaval));
		val=Util.extr_value(ligne_data, "dPSing");
		if(val!=null)dPSing_value.setText(val);
	}
	
	

	/**
	 * saves project file specific technoDesign data
	 */
    public String saveCaract(){
	    String h="";//=super.saveCaract();
	    int j=JComboConfig.getSelectedIndex();
        String type=listeConf[j];
        h=h+"type="+type+":"
        +"free_flow="+Ac_value.getText()+":"
        +"Dh="+Dh_value.getText()+":"
        +"length="+L_value.getText()+":"
        +"surf_fact="+FA_value.getText()+":"
        +"fin="+etaF_value.getText()+":"
        +"pres_aval="+Util.aff_b(JCheckPresAvalSet.isSelected())+":"
        +"DPArea="+frictionFactor_value.getText()+":";
        h=h+fc.saveCaract();
        return h;
    }
    public String saveCompParameters(){
	    String h="";//=super.saveCaract();
	    int j=JComboConfig.getSelectedIndex();
        String type=listeConf[j];
        h=h+"type="+type+"\t"
        +"free_flow="+Ac_value.getText()+"\t"
        +"Dh="+Dh_value.getText()+"\t"
        +"length="+L_value.getText()+"\t"
        +"surf_fact="+FA_value.getText()+"\t"
        +"fin="+etaF_value.getText()+"\t"
        +"pres_aval="+Util.aff_b(JCheckPresAvalSet.isSelected())+"\t"
        +"DPArea="+frictionFactor_value.getText()+"\t"
        +"dPSing="+dPSing_value.getText()+"\t"
        ;
        h=h+fc.saveCompParameters();
        return h;
    }

	class SymItem implements java.awt.event.ItemListener
	{
		public void itemStateChanged(java.awt.event.ItemEvent event)
		{
			Object object = event.getSource();
			if (object == JComboConfig)
				JComboConfig_itemStateChanged(event);
		}
	}



	void JComboConfig_itemStateChanged(java.awt.event.ItemEvent event){
/*		if(JComboConfig.getSelectedItem().equals("air_coil")){
		    JLabMorisot.setEnabled(false);
		    etaF_value.setEnabled(false);
		}
		else {
		    JLabMorisot.setEnabled(true);
		    etaF_value.setEnabled(true);
		}
		*/
		int i=JComboConfig.getSelectedIndex();
		if(i>-1){
		    String nom=listeConf[i];
		    String descr=listeDescr[i];
	        try{//essai sur les classes externes
                Class c=listeClasses[i];//on charge la classe du composant externe
                if(c!=null){
		            Constructor ct=c.getConstructor(null);//on l'instancie avec son constructeur sans argument
		            fc=(extThopt.FlowConfig)ct.newInstance(null);
		            fc.setTechnoExch(this);
		            fc.setParameterValues();//modRG 07/2012
		            sf.setFlowConfig(fc);
		            sf.loadSettings();//modRG 07/2012
		            sf.correlLabel.setText(descr);
		        }
	        }
	        catch(Exception e){//prvoir message "Problme lors du chargement d'une classe externe"
    	        
	            String message="Watch out: Thermoptim could not load external component: "+ nom;
	            message=message+"\nYou should check the corresponding external class";
	            JOptionPane.showMessageDialog(new JFrame(),message);
	            e.printStackTrace();
	        }
	    }
		
	}


	class SymMouse extends java.awt.event.MouseAdapter
	{
		public void mouseClicked(java.awt.event.MouseEvent event)
		{
			Object object = event.getSource();
			if (object == dP_value)
				dPValue_mouseClicked(event);
		}
	}

	void dPValue_mouseClicked(java.awt.event.MouseEvent event)
	{
		Object object = event.getSource();
	    int nb_click=event.getClickCount();
	    if(nb_click>=2){
	        boolean edit=dP_value.isEditable();
	        dP_value.setEditable(!edit);
	    }
	}

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == bSettings);
				bSettings_actionPerformed(event);
		}
	}

	void bSettings_actionPerformed(java.awt.event.ActionEvent event)
	{
        if(sf==null)sf=new SettingsFrame(this);
        sf.loadSettings();
        sf.show();
	}
}