/*
Copyright Renaud GICQUEL 2005  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import rg.thopt.*;
import java.util.*;

/**
* This class enables you to add external dividers to Thermoptim.
*<p>
* To add one component, subclass ExtDivider by providing the appropriate methods
* in particular, getType() must return the component type as it will appear in
* the process list.
*<p>This class should not be modified
 * 
 * @author Renaud GICQUEL
*/
public class DivExterne extends ComposantExt
{
    protected static java.util.ResourceBundle resIntTh_fr = java.util.ResourceBundle.getBundle("IntTh",Locale.getDefault());  
    ExtDivider ep;
    Projet proj;
    DividerExterne de;
    public DivExterne(){
	    super();
    }
    
//        public DivExterne(Object  proj, Object obj,Object  de){
    public DivExterne(Projet proj, Object obj, DividerExterne de){
        this.proj=proj;
        this.de=de;
        ep= (ExtDivider)obj;
        ep.proj=proj;
   //     ep.init();
        Vector vSetUp=new Vector();
        vSetUp.addElement(de);
        vSetUp.addElement(ep.JPanel1);
        vSetUp.addElement(ep.thermoCouplerTypes);
        vSetUp.addElement(ep);
        vSetUp.addElement(ep.getExergyType());//modRG exerg
        setUpFrame(vSetUp);
        ep.de=this;
    }
    
//Mthodes internes  Thermoptim directement appeles
    private void setUpFrame(Vector vSetUp){
        setDivFrame(vSetUp);
    }
    
    
//Mthodes externes  Thermoptim
//le relais est pass  chaque type de composant

	/**
	* calcule la transfo
	*<p>
	* calculates the process
	*<p>
	* to be overriden in ExtProcess subclasses
	**/
	public void calculateProcess(){
	    ep.calculateProcess();
	}
    
	/**
	* lit les paramtres de la transfo
	*<p>
	* reads the process parameters
	*<p>
	* to be overriden in ExtProcess subclasses
    * @param ligne_data String (data line)
	**/
	public void readCompParameters(String ligne_data){
	    ep.readCompParameters(ligne_data);
	}
	
	/**
	* sauve les paramtres de la transfo
	*<p>
	* saves the process parameters
	*<p>
	* to be overriden in ExtProcess subclasses
    * @return String
	**/
    public String saveCompParameters(){
	    return ep.saveCompParameters();
    }
    
 	/**
	* dfinit le type de la transfo
	*<p>
	* defines the process type
	*<p>
	* to be overriden in ExtProcess subclasses
    * @return String
	**/
   public String getCompType(){
        return ep.getCompType();
    }
 
    public double[] getCompExergyBalance(String[]args){//modRG exerg
        return ep.getExergyBalance(args);
    }
 
   
}