/*
Copyright Renaud GICQUEL 2008  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import java.util.*; 
import rg.corps.*; 
import rg.thopt.*;
import javax.swing.*;

/**
* This class enables you to add external components to Thermoptim.
*<p>
* To add one component, subclass ExtTechnoDesign by providing the appropriate methods
* in particular, getType() must return the component type as it will appear in
* the process list.
*<p>This class should not be modified
 * 
 * @author Renaud GICQUEL
*/
public class ExtTechnoDesign implements External
{
 	protected  String tab=new String("\t"),ligne=new String("\n");
 	public TechDesignExterne tde;
    Projet proj;
	public javax.swing.JPanel JPanel1 = new javax.swing.JPanel();
	String type="external techno design";
	String componentName;
    PointThopt amont, aval;
    CorpsThopt corps;
    double DeltaH;
    ImageIcon im;
    String imgFile;
	javax.swing.JLabel JLabeImg = new javax.swing.JLabel();
	MapImage map;
    
    
    public ExtTechnoDesign (){
        super();
    }
    
	public ExtTechnoDesign(Projet proj, String componentName, PointThopt amont, PointThopt aval){
		this();
		this.proj=proj;
		this.componentName=componentName;
        this.amont=amont;
        this.aval=aval;
		updateDeltaH();
	    corps=new CorpsThopt(proj, amont.nomCorps, amont.lecorps);
	}
	
    
	public ExtTechnoDesign(Projet proj, String componentName){
		this();
		this.proj=proj;
		this.componentName=componentName;
		
		String[] args=new String[2];
        args[0]="process";//type of the element (see method getProperties(String[] args))
        args[1]=componentName;//name of the process (see method getProperties(String[] args))
        Vector vProp=proj.getProperties(args);
        String nomAmont=(String)vProp.elementAt(1);//gets the upstream point name
        String nomAval=(String)vProp.elementAt(2);//gets the downstream point name

        this.amont=new PointThopt(proj, nomAmont);
        this.aval=new PointThopt(proj, nomAval);
	    corps=new CorpsThopt(proj, amont.nomCorps, amont.lecorps);

		updateDeltaH();
	}
	
	void setupPanel(){
	}
    
    /**
    * dfinit l'identifiant de la classe
    * <p>
    * defines the class identifier
    * <p>
    * must be overridden by subclasses
    */
    public String getCompType(){
        return type;
    }
    /**
    * returns the class type 
	*<p>
	* not to be overriden by ExtTechnoDesign subclasses
    **/
    public String getClassType(){
        return "process";
    }
    /**
    * dfinit la description de la classe apparaissant dans le visualisateur
    * <p>
    * defines the class description shown in the viewer
    * <p>
    * should be overridden by subclasses
    */
	public String getClassDescription(){
	    return "external process class\nbasic generic class";
	}
    public String getName(){
        return tde.getTechnoDesignType();
    }
 	
    public String getClassName(){
        return "ExtTechnoDesign";
    }
    
    public String getClassCode(){
        return "TechnoDesign";
    }
    
	public void free(){
		
	    if(map!=null){
	        map.dispose();
	        map=null;
	    }
	    if(this instanceof MultiStageMappedTurbine){
	        MultiStageMappedTurbine mst=(MultiStageMappedTurbine)this;
	        if(mst.tcf!=null)mst.tcf.dispose();
	        mst.tcf=null;
	    }
	    if(this instanceof TechnoTurboCompr){
	        TechnoTurboCompr mst=(TechnoTurboCompr)this;
	        if(mst!=null){
	            if(mst.tcf!=null)mst.tcf.dispose();
	            mst.tcf=null;
	        }
	    }
	}
    
    
	public void updateDeltaH(){
		amont.getProperties();
	    aval.getProperties();
		DeltaH=aval.H-amont.H;
	}
	
	public double getFlow(){
        String[] args=new String[2];
        args[0]="process";
        args[1]=componentName;
        Vector vProp=proj.getProperties(args);
        if(vProp.size()==0){
	        String msg = "Watch out!: component "+componentName+" does not exist in the project";
	        JOptionPane.showMessageDialog(tde, msg);  
	        return 0;
        }else{
            Double f=(Double)vProp.elementAt(3);
            return f.doubleValue();
        }
    }
    
    double getPolytropicCoefficient(){
	    double k_poly=Math.log(aval.P/amont.P)/Math.log(amont.V/aval.V);//mme valeur pour la compression
        
        return k_poly;
    }
    
    double getGamma(){
        double Cp=(aval.H-amont.H)/(aval.T-amont.T);
//        String substname=
        Corps corps=aval.lecorps;
        Vector vProp=corps.getSubstProperties();
        Double f=(Double)vProp.elementAt(7);
        double M=f.doubleValue();
        
        double R=8.314/M;
        double gamma=Cp/(Cp-R);
        
        return gamma;
    }
    
 	
    public void init(){}
	
	/**
	* calcule la transfo
	*<p>
	* calculates the process
	*<p>
	* to be overriden in ExtTechnoDesign subclasses
	**/
	public void makeDesign(){}


	/**
	* lit les paramtres de la transfo
	*<p>
	* reads the process parameters
    * @param ligne_data String (data line)
	*<p>
	* to be overriden in ExtTechnoDesign subclasses
	**/
	public void readCompParameters(String ligne_data){}
	
	/**
	* sauve les paramtres de la transfo
	*<p>
	* saves the process parameters
    * @return String
	*<p>
	* to be overriden in ExtTechnoDesign subclasses
	**/
    public String saveCompParameters(){return "";}
	
    double f_dicho(double X, double T,String fonc){
        return 0;
    }

}