/*
Copyright Bo LIU, Renaud GICQUEL 2013  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import javax.swing.*;
import java.beans.*;
import java.awt.*;
import java.util.*;

import rg.thopt.*;
import rg.corps.*;
import java.io.*;

/**
 * Classe pour calculer un cycle binaire eau-fluide organique avec une architecture SPX bni-tag en rgime non-nominal
 * 
 * Les modles des changeurs : UA constant
 *
 * le modle de turbine est celui de Stodola
 *
 *
 * @author Bo LIU
 */

	//airFlow a entrer manuellement

public class SPXtwostage extends ExtPilot implements optimization.Lmdif_fcn
{
	boolean isInitialized=false;
	String[]composant,nomComposant;
    String H2OHPturbineName="",H2OBPturbineName="", ORCturbineName="", CBName,ACCName, RECHName, ECOName;

    double Khp, Kbp, airFlow, H2OHPturbineFlow, H2OBPturbineFlow, H2OHPturbinePower,H2OBPturbinePower, aDesignEvapoCond, mCpH2OEvap, mCpNH3Evap, DeltaHevap, H2OTotalFlow;
    double Korc, ORCturbineFlow, ORCturbinePower, aDesignAeroCond, mCpCalopCond, mCpNH3Cond, DeltaHcond;
    
    double UArech, UAeco, UAac_v, UAac_lv,UAcb_l, UAcb_lv, DeltaH0,T2,P2,DeltaH_NH3, Tair, T2a;
    
    double HP, BP, MP, PcondH2O, TcondH2O, TevapORC, TcondORC,  PevapORC, PcondORC, TsEco;

    double DTLM_Resurch,  DTLM_Prech, DTLM_Acc_v, DTLM_Acc_lv, DTLM_CB_l, DTLM_CB_lv;	
    
    double compteur=0, efficacite, GVPower, PumpConsump, H2OturbinePower;
    
    double xI1, xI2, xI3, xI4, xI5, xI6, xI7, xI8, xI9, xI10, xI11;
    
    double NbUnit=0, SPassage=0, PVR=0;
    
    double count=0;
    
    PointThopt amontGV, avalGV, avalTurbHP, amontPump3, avalPump3, amontPump2, avalPump2, amontTurbBP, avalTurbBP, 
    amontPump1, avalPump1, amontEco, amontTurbORC, avalTurbORC, amontPumpORC, avalPumpORC, inAir, outAir, PFORC, PFST;
    
    TechnoHx technoCB, technoACC, technoECO, technoRECH;
    TechnoTurb technoTurbineHP, technoTurbineBP, technoTurbineORC;
    
    CorpsThopt eau, fluide, air;
    
    double[]taux,thrust,conso;
	String tab=new String("\t");
	String ligne=new String("\n");
    
    double S_echapH2O, U_echapH2O, beta_echapH2O, S_echapNH3, U_echapNH3, beta_echapNH3;
    
    boolean debug=true;
    
	// epsmch is the machine precision
	static final double epsmch = 2.22044604926e-16;

	int nfev = 0;
	int njev = 0;

	final ButtonGroup groupAlgorithm=new ButtonGroup();

	public SPXtwostage()
	{
		//{{INIT_CONTROLS
		setTitle("Pilot Cycle Bi-Etage SPX");
		getContentPane().setLayout(null);
		setSize(645,654);
		setVisible(false);
		bInitialSettings.setText("Initial settings");
		bInitialSettings.setActionCommand("load");
		getContentPane().add(bInitialSettings);
		bInitialSettings.setBounds(408,36,156,36);
		
		//results
		JLabel6.setText("ORC HP");
		getContentPane().add(JLabel6);
		JLabel6.setForeground(java.awt.Color.red);
		JLabel6.setBounds(12,468,156,24);
		getContentPane().add(P2_value);
		P2_value.setBounds(180,432,120,24);
		P2_value.setSelectionColor(new java.awt.Color(204,204,255));
		P2_value.setSelectedTextColor(java.awt.Color.black);
		P2_value.setCaretColor(java.awt.Color.black);
		P2_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		P2_value.setBounds(180,468,120,24);
		
		JLabel4.setText("ORC BP");
		getContentPane().add(JLabel4);
		JLabel4.setForeground(java.awt.Color.red);
		JLabel4.setBounds(12,504,156,24);
		P1_value.setSelectionColor(new java.awt.Color(204,204,255));
		P1_value.setSelectedTextColor(java.awt.Color.black);
		P1_value.setCaretColor(java.awt.Color.black);
		P1_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(P1_value);
		P1_value.setBounds(180,504,120,24);
		
		JLabel5.setText("STEP");
		getContentPane().add(JLabel5);
		JLabel5.setForeground(java.awt.Color.red);
		JLabel5.setBounds(12,432,156,24);
		STEP_value.setSelectionColor(new java.awt.Color(204,204,255));
		STEP_value.setSelectedTextColor(java.awt.Color.black);
		STEP_value.setCaretColor(java.awt.Color.black);
		STEP_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(STEP_value);
		STEP_value.setBounds(180,432,120,24);

		bCalculate.setText("Calculate ");
		bCalculate.setActionCommand("Calculate ");
		getContentPane().add(bCalculate);
		bCalculate.setBounds(432,324,156,60);
		
		//parametres
		JLabel10.setText("Design settings");
		getContentPane().add(JLabel10);
		JLabel10.setForeground(java.awt.Color.blue);
		JLabel10.setFont(new Font("Dialog", Font.BOLD, 18));
		JLabel10.setBounds(12,12,553,25);
		
		JLabelNbUnit.setText("Nb of ORC turbine unit");
		getContentPane().add(JLabelNbUnit);
		JLabelNbUnit.setBounds(312,120,156,24);
		NbUnit_value.setText("6");
		NbUnit_value.setSelectionColor(new java.awt.Color(204,204,255));
		NbUnit_value.setSelectedTextColor(java.awt.Color.black);
		NbUnit_value.setCaretColor(java.awt.Color.black);
		NbUnit_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(NbUnit_value);
		NbUnit_value.setBounds(480,120,100,24);
		
		JLabelSPassage.setText("Area of turbine outlet");
		getContentPane().add(JLabelSPassage);
		JLabelSPassage.setBounds(312,84,156,24);
		SPassage_value.setText("1.84");
		SPassage_value.setSelectionColor(new java.awt.Color(204,204,255));
		SPassage_value.setSelectedTextColor(java.awt.Color.black);
		SPassage_value.setCaretColor(java.awt.Color.black);
		SPassage_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(SPassage_value);
		SPassage_value.setBounds(480,84,100,24);
		
		JLabel13.setText("ORC Turbine Stodola");
		getContentPane().add(JLabel13);
		JLabel13.setBounds(12,48,150,23);
		Korc_value.setText("650");
		Korc_value.setSelectionColor(new java.awt.Color(204,204,255));
		Korc_value.setSelectedTextColor(java.awt.Color.black);
		Korc_value.setCaretColor(java.awt.Color.black);
		Korc_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(Korc_value);
		Korc_value.setBounds(180,48,100,24);
		
		JLabel14.setText("Turbine HP Stodola");
		getContentPane().add(JLabel14);
		JLabel14.setBounds(12,84,161,22);
		Khp_value.setText("20");
		Khp_value.setSelectionColor(new java.awt.Color(204,204,255));
		Khp_value.setSelectedTextColor(java.awt.Color.black);
		Khp_value.setCaretColor(java.awt.Color.black);
		Khp_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(Khp_value);
		Khp_value.setBounds(180,84,100,24);
		
		JLabel16.setText("H2O HP");
		getContentPane().add(JLabel16);
		JLabel16.setForeground(java.awt.Color.red);
		JLabel16.setBounds(12,360,144,24);
		HP_value.setSelectionColor(new java.awt.Color(204,204,255));
		HP_value.setSelectedTextColor(java.awt.Color.black);
		HP_value.setCaretColor(java.awt.Color.black);
		HP_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(HP_value);
		HP_value.setBounds(180,360,120,24);
//		
		JLabel1.setText("H2O MP");
		getContentPane().add(JLabel1);
		JLabel1.setForeground(java.awt.Color.red);
		JLabel1.setBounds(12,396,156,24);
		MP_value.setSelectionColor(new java.awt.Color(204,204,255));
		MP_value.setSelectedTextColor(java.awt.Color.black);
		MP_value.setCaretColor(java.awt.Color.black);
		MP_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(MP_value);
		MP_value.setBounds(180,396,120,24);
		
		JLabel15.setText("Turbine BP Stodola");//modRG 27/06
		getContentPane().add(JLabel15);
		JLabel15.setBounds(12,120,156,24);
		Kbp_value.setText("2400");
		Kbp_value.setSelectionColor(new java.awt.Color(204,204,255));
		Kbp_value.setSelectedTextColor(java.awt.Color.black);
		Kbp_value.setCaretColor(java.awt.Color.black);
		Kbp_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(Kbp_value);
		Kbp_value.setBounds(180,120,100,24);
		
		JLabel2.setText("Air Temperature (C)");
		getContentPane().add(JLabel2);
		JLabel2.setBounds(312,264,156,24);
		Ta_value.setText("5");
		Ta_value.setSelectionColor(new java.awt.Color(204,204,255));
		Ta_value.setSelectedTextColor(java.awt.Color.black);
		Ta_value.setCaretColor(java.awt.Color.black);
		Ta_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(Ta_value);
		Ta_value.setBounds(480,264,100,24);
		
		JLabelTotalFlow.setText("Flow Rate (kg/m3)");
		getContentPane().add(JLabelTotalFlow);
		JLabelTotalFlow.setBounds(12,264,156,24);
		H2OTotalFlow_value.setText("680");
		H2OTotalFlow_value.setSelectionColor(new java.awt.Color(204,204,255));
		H2OTotalFlow_value.setSelectedTextColor(java.awt.Color.black);
		H2OTotalFlow_value.setCaretColor(java.awt.Color.black);
		H2OTotalFlow_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(H2OTotalFlow_value);
		H2OTotalFlow_value.setBounds(180,264,100,24);
		
		JLabel3.setText("ORC Turbine Power (MWe)");
		getContentPane().add(JLabel3);
		JLabel3.setForeground(java.awt.Color.red);
		JLabel3.setBounds(324,432,156,24);
		tauNH3_value.setSelectionColor(new java.awt.Color(204,204,255));
		tauNH3_value.setSelectedTextColor(java.awt.Color.black);
		tauNH3_value.setCaretColor(java.awt.Color.black);
		tauNH3_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(tauNH3_value);
		tauNH3_value.setBounds(492,432,96,24);
		
		JLabel7.setText("H2O Turbine Power (MWe)");
		getContentPane().add(JLabel7);
		JLabel7.setForeground(java.awt.Color.red);
		JLabel7.setBounds(324,396,156,24);
		tauH2O_value.setSelectionColor(new java.awt.Color(204,204,255));
		tauH2O_value.setSelectedTextColor(java.awt.Color.black);
		tauH2O_value.setCaretColor(java.awt.Color.black);
		tauH2O_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(tauH2O_value);
		tauH2O_value.setBounds(492,396,96,24);
		
		JLabelEfficiency.setText("PVR (MWe)");
		getContentPane().add(JLabelEfficiency);
		JLabelEfficiency.setForeground(java.awt.Color.red);
		JLabelEfficiency.setBounds(324,468,156,24);
		efficiency_value.setSelectionColor(new java.awt.Color(204,204,255));
		efficiency_value.setSelectedTextColor(java.awt.Color.black);
		efficiency_value.setCaretColor(java.awt.Color.black);
		efficiency_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(efficiency_value);
		efficiency_value.setBounds(492,468,96,24);
		
		JLabel8.setText("Simulation results");
		getContentPane().add(JLabel8);
		JLabel8.setForeground(java.awt.Color.red);
		JLabel8.setFont(new Font("Dialog", Font.BOLD, 18));
		JLabel8.setBounds(12,324,553,25);
		
		JLabel9.setText("Economiseur UA");
		getContentPane().add(JLabel9);
		JLabel9.setBounds(12,156,156,24);
		UAeco_value.setSelectionColor(new java.awt.Color(204,204,255));
		UAeco_value.setSelectedTextColor(java.awt.Color.black);
		UAeco_value.setCaretColor(java.awt.Color.black);
		UAeco_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(UAeco_value);
		UAeco_value.setBounds(180,156,100,24);
		
		JLabel11.setText("Rechauffeur UA");
		getContentPane().add(JLabel11);
		JLabel11.setBounds(312,156,156,24);
		UArech_value.setSelectionColor(new java.awt.Color(204,204,255));
		UArech_value.setSelectedTextColor(java.awt.Color.black);
		UArech_value.setCaretColor(java.awt.Color.black);
		UArech_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(UArech_value);
		UArech_value.setBounds(480,156,100,24);
		
		JLabelACCLv.setText("ACC UA lv");
		getContentPane().add(JLabelACCLv);
		JLabelACCLv.setBounds(12,192,264,24);
		UAac_lv_value.setSelectionColor(new java.awt.Color(204,204,255));
		UAac_lv_value.setSelectedTextColor(java.awt.Color.black);
		UAac_lv_value.setCaretColor(java.awt.Color.black);
		UAac_lv_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(UAac_lv_value);
		UAac_lv_value.setBounds(180,192,100,24);
		
		JLabelACCV.setText("ACC UA v");
		getContentPane().add(JLabelACCV);
		JLabelACCV.setBounds(312,192,273,23);
		UAac_v_value.setSelectionColor(new java.awt.Color(204,204,255));
		UAac_v_value.setSelectedTextColor(java.awt.Color.black);
		UAac_v_value.setCaretColor(java.awt.Color.black);
		UAac_v_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(UAac_v_value);
		UAac_v_value.setBounds(480,192,100,24);
		
		JLabelACCLv.setText("ACC UA lv");
		getContentPane().add(JLabelACCLv);
		JLabelACCLv.setBounds(12,192,264,24);
		UAac_lv_value.setSelectionColor(new java.awt.Color(204,204,255));
		UAac_lv_value.setSelectedTextColor(java.awt.Color.black);
		UAac_lv_value.setCaretColor(java.awt.Color.black);
		UAac_lv_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(UAac_lv_value);
		UAac_lv_value.setBounds(180,192,100,24);
		
		JLabelCBL.setText("CB UA l");
		getContentPane().add(JLabelCBL);
		JLabelCBL.setBounds(312,228,273,23);
		UAcb_l_value.setSelectionColor(new java.awt.Color(204,204,255));
		UAcb_l_value.setSelectedTextColor(java.awt.Color.black);
		UAcb_l_value.setCaretColor(java.awt.Color.black);
		UAcb_l_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(UAcb_l_value);
		UAcb_l_value.setBounds(480,228,100,24);
		
		JLabelCBLv.setText("CB UA lv");
		getContentPane().add(JLabelCBLv);
		JLabelCBLv.setBounds(12,228,273,23);
		UAcb_lv_value.setSelectionColor(new java.awt.Color(204,204,255));
		UAcb_lv_value.setSelectedTextColor(java.awt.Color.black);
		UAcb_lv_value.setCaretColor(java.awt.Color.black);
		UAcb_lv_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		getContentPane().add(UAcb_lv_value);
		UAcb_lv_value.setBounds(180,228,100,24);
		
		oneStepAlgorithm.setText("one step algorithm");
		oneStepAlgorithm.setActionCommand("one step algorithm");
		getContentPane().add(oneStepAlgorithm);
		oneStepAlgorithm.setBounds(12,300,168,24);
		twoStepAlgorithm.setText("two steps algorithm");
		twoStepAlgorithm.setActionCommand("two steps algorithm");
		getContentPane().add(twoStepAlgorithm);
		twoStepAlgorithm.setBounds(204,300,168,24);
		jcheckReInitialize.setText("reinitialize");
		jcheckReInitialize.setActionCommand("reinitialize");
		getContentPane().add(jcheckReInitialize);
		jcheckReInitialize.setBounds(432,300,152,20);
		getContentPane().add(algorithmResults);
		algorithmResults.setBounds(192,336,222,26);
		//}}

		//{{REGISTER_LISTENERS
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		SymAction lSymAction = new SymAction();
		bInitialSettings.addActionListener(lSymAction);
		bCalculate.addActionListener(lSymAction);
		//}}

		//{{INIT_MENUS
		//}}

		type="Pilote Cycle Bi-Etage SPX";
        groupAlgorithm.add(oneStepAlgorithm);
        groupAlgorithm.add(twoStepAlgorithm);
        oneStepAlgorithm.setSelected(true);
	}

    /**
    * returns the component type 
    
    public String getType(){
        return type;
    }**/
    
	public String getClassDescription(){
	    return "pilot for a ORC Water binary cycle\n\n\nauthor : Bo LIU 10-2013";
	}
    
    void setupProject(){
        //on rcupre ici les instances des transfos externes dont on a besoin
        //afin d'accder  leurs diffrents paramtres pour les calculs ultrieurs
        
        
        
  }
	
	public void setVisible(boolean b)
	{
		if(b)
		{
			setLocation(50, 50);
		}
	super.setVisible(b);
	}

	public void addNotify()
	{
		// Record the size of the window prior to calling parents addNotify.
		Dimension d = getSize();

		super.addNotify();

		if (fComponentsAdjusted)
			return;

		// Adjust components according to the insets
		Insets ins = getInsets();
		setSize(ins.left + ins.right + d.width, ins.top + ins.bottom + d.height);
		Component components[] = getContentPane().getComponents();
		for (int i = 0; i < components.length; i++)
			{
			Point p = components[i].getLocation();
			p.translate(ins.left, ins.top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}

	// Used for addNotify check.
	boolean fComponentsAdjusted = false;

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
		Object object = event.getSource();
		if (object == SPXtwostage.this)
			Thrust_WindowClosing(event);
		}
	}

	void Thrust_WindowClosing(java.awt.event.WindowEvent event)
	{
		dispose();		 // dispose of the Frame.
	}
	//{{DECLARE_CONTROLS
	javax.swing.JButton bInitialSettings = new javax.swing.JButton();
	javax.swing.JLabel JLabel6 = new javax.swing.JLabel();
	javax.swing.JTextField P2_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel4 = new javax.swing.JLabel();
	javax.swing.JTextField P1_value = new javax.swing.JTextField();
	javax.swing.JTextField mNH3_value = new javax.swing.JTextField();
	javax.swing.JTextField STEP_value = new javax.swing.JTextField();
	
	javax.swing.JLabel JLabel5 = new javax.swing.JLabel();
	javax.swing.JButton bCalculate = new javax.swing.JButton();
	javax.swing.JLabel JLabel10 = new javax.swing.JLabel();
	javax.swing.JTextField UAac_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel12 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel13 = new javax.swing.JLabel();
	javax.swing.JTextField Korc_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel14 = new javax.swing.JLabel();
	javax.swing.JTextField Khp_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel16 = new javax.swing.JLabel();
	javax.swing.JTextField Paval_H2O_value = new javax.swing.JTextField();
	javax.swing.JTextField HP_value = new javax.swing.JTextField();
	
	javax.swing.JLabel JLabel15 = new javax.swing.JLabel();
	javax.swing.JTextField Kbp_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel1 = new javax.swing.JLabel();
	javax.swing.JTextField mH2O_value = new javax.swing.JTextField();
	javax.swing.JTextField MP_value = new javax.swing.JTextField();
	
	javax.swing.JLabel JLabel2 = new javax.swing.JLabel();
	javax.swing.JTextField Ta_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel3 = new javax.swing.JLabel();
	javax.swing.JTextField tauNH3_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabelEfficiency = new javax.swing.JLabel();
	javax.swing.JTextField efficiency_value = new javax.swing.JTextField();
	
	javax.swing.JLabel JLabel7 = new javax.swing.JLabel();
	javax.swing.JTextField tauH2O_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel8 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel9 = new javax.swing.JLabel();
	javax.swing.JTextField UAeco_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel11 = new javax.swing.JLabel();
	javax.swing.JTextField UArech_value = new javax.swing.JTextField();
	javax.swing.JTextField UAac_lv_value = new javax.swing.JTextField();
	javax.swing.JTextField UAcb_lv_value = new javax.swing.JTextField();
	javax.swing.JTextField UAac_v_value = new javax.swing.JTextField();
	javax.swing.JTextField UAcb_l_value = new javax.swing.JTextField();
	javax.swing.JTextField H2OTotalFlow_value = new javax.swing.JTextField();
	
	javax.swing.JLabel JLabelACCLv = new javax.swing.JLabel();
	javax.swing.JLabel JLabelACCV = new javax.swing.JLabel();
	javax.swing.JLabel JLabelCBLv = new javax.swing.JLabel();
	javax.swing.JLabel JLabelCBL = new javax.swing.JLabel();
	
	javax.swing.JLabel JLabelTotalFlow = new javax.swing.JLabel();
	
	javax.swing.JLabel JLabelNbUnit = new javax.swing.JLabel();
	javax.swing.JTextField NbUnit_value = new javax.swing.JTextField();
	
	javax.swing.JLabel JLabelSPassage = new javax.swing.JLabel();
	javax.swing.JTextField SPassage_value = new javax.swing.JTextField();
	
	javax.swing.JRadioButton oneStepAlgorithm = new javax.swing.JRadioButton();
	javax.swing.JRadioButton twoStepAlgorithm = new javax.swing.JRadioButton();
	javax.swing.JCheckBox jcheckReInitialize = new javax.swing.JCheckBox();
	javax.swing.JLabel algorithmResults = new javax.swing.JLabel();
	//}}

	//{{DECLARE_MENUS
	//}}


	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == bInitialSettings)
				bInitialSettings_actionPerformed(event);
			else if (object == bCalculate)
				bCalculate_actionPerformed(event);
		}
	}

	public void init(){
		isInitialized=true;
		proj=getProjet();
		setupProject();
		show();
        
        //initialisations pour la simulation
		//airFlow=49255.2221; //R245fa
		airFlow=49142; //R1233zd
		
		amontGV=new PointThopt(proj,"1a");
		avalGV=new PointThopt(proj,"1div");//meme que amontTurbHP et amontEchPreleGV
		avalTurbHP=new PointThopt(proj,"2div");//meme que amontRech et amontTurbBP
		amontPump3=new PointThopt(proj,"1mel3a");
		avalPump3=new PointThopt(proj,"1mel3");
		amontPump2=new PointThopt(proj,"1mel2a");
		avalPump2=new PointThopt(proj,"1mel2");
		amontTurbBP=new PointThopt(proj,"2a");
		avalTurbBP=new PointThopt(proj, "2");
		amontPump1=new PointThopt(proj, "3");
		avalPump1=new PointThopt(proj, "4");
		amontEco=new PointThopt(proj, "1mel");
		
		amontTurbORC=new PointThopt(proj, "1o");
		avalTurbORC=new PointThopt(proj, "2o");
		amontPumpORC=new PointThopt(proj, "3o");
		avalPumpORC=new PointThopt(proj, "4o");
		
        inAir=new PointThopt(proj,"air0");
        outAir=new PointThopt(proj,"air1");
        
        PFST=new PointThopt(proj,"PFSTEAM");
        PFORC=new PointThopt(proj,"PFORC");
        
        amontGV.getProperties();
		avalGV.getProperties();
		avalTurbHP.getProperties();
		amontPump3.getProperties();
		avalPump3.getProperties();
		amontPump2.getProperties();
		avalPump2.getProperties();
		amontTurbBP.getProperties();
		avalTurbBP.getProperties();
		amontPump1.getProperties();
		avalPump1.getProperties();
		amontEco.getProperties();
		
		amontTurbORC.getProperties();
		avalTurbORC.getProperties();
		amontPumpORC.getProperties();
		avalPumpORC.getProperties();
		
        inAir.getProperties();
        outAir.getProperties();
        
        PFST.getProperties();
        PFORC.getProperties();
        
        //avalTurbHP.getProperties();
        //avalTurbORC.getProperties();
       
        eau=avalTurbHP.corps;
        fluide=avalTurbORC.corps;
        air=inAir.corps;
        
        /*
        HP=amontGV.P;
        MP=avalTurbHP.P;
        BP=avalTurbBP.P;
		TcondH2O=amontPump1.T;
		PevapORC=amontTurbORC.P;
		TevapORC=amontTurbORC.T;
		PcondORC=amontPumpORC.P;
		TcondORC=amontPumpORC.T;
		*/
		
	    CBName="CB";
	    ACCName="ACC";
	    RECHName="RECHAUFFE";
	    ECOName="PRECHAUFFE";
	    
	    ORCturbineName="turbine ORC";
	    H2OHPturbineName="Turbine HP";
	    H2OBPturbineName="turbine BP";

		technoCB=new TechnoEvapoCondensor(proj, CBName, avalTurbBP, amontPump1,  avalPumpORC, amontTurbORC);
	    addTechnoVector(technoCB);
		technoACC=new TechnoCondensor(proj, ACCName, avalTurbORC, amontPumpORC, inAir, outAir);
	    addTechnoVector(technoACC);
		technoRECH=new TechnoEvapoCondensor(proj, RECHName, avalGV, amontPump2,  avalTurbHP, amontTurbBP);
	    addTechnoVector(technoRECH);
		technoECO=new TechnoEvapoCondensor(proj, ECOName, avalTurbHP, amontPump3,  amontEco, amontGV);
	    addTechnoVector(technoECO);
	    
	    technoTurbineHP= new TechnoTurb(proj, H2OHPturbineName, avalGV, avalTurbHP);
	    addTechnoVector(technoTurbineHP);
	    technoTurbineBP= new TechnoTurb(proj, H2OBPturbineName, amontTurbBP, avalTurbBP);
	    addTechnoVector(technoTurbineBP);
	    technoTurbineORC= new TechnoTurb(proj, ORCturbineName, amontTurbORC, avalTurbORC);
	    addTechnoVector(technoTurbineORC);
		setupTechnoDesigns(vTechno);
		
	}
	
	void bInitialSettings_actionPerformed(java.awt.event.ActionEvent event)
	{
	    if(!isInitialized)init();//la premire fois, on initialise, car il faut un constructeur sans argument
	                            //pour instancier la classe par le RMI
	    System.out.println("initializing");
	    if(!H2OHPturbineName.equals("")){//initialisation de la turbine H2O
            H2OHPturbineFlow=getProcessFlow(H2OHPturbineName);
            avalGV.getProperties();
            avalTurbHP.getProperties();
            
            Khp=technoTurbineHP.getStodolaConstant();
            Khp=Math.pow(H2OHPturbineFlow*H2OHPturbineFlow*avalGV.T/(avalGV.P*avalGV.P-avalTurbHP.P*avalTurbHP.P),0.5);
            
	    }
	    if(!H2OBPturbineName.equals("")){//initialisation de la turbine H2O
            H2OBPturbineFlow=getProcessFlow(H2OBPturbineName);
            avalTurbHP.getProperties();
            avalTurbBP.getProperties();
            Kbp=technoTurbineBP.getStodolaConstant();
            Kbp=Math.pow(H2OBPturbineFlow*H2OBPturbineFlow*amontTurbBP.T/(amontTurbBP.P*amontTurbBP.P-avalTurbBP.P*avalTurbBP.P),0.5);
            
	    }
	    if(!ORCturbineName.equals("")){//initialisation de la turbine H2O
            ORCturbineFlow=getProcessFlow(ORCturbineName);
            amontTurbORC.getProperties();
            avalTurbORC.getProperties();

            Korc=technoTurbineORC.getStodolaConstant();
            Korc=Math.pow(ORCturbineFlow*ORCturbineFlow*(amontTurbORC.T)/(amontTurbORC.P*amontTurbORC.P-avalTurbORC.P*avalTurbORC.P),0.5);
            
	    }
	    
	    Ta_value.setText(Util.aff_d(inAir.T-273.15,2));
	    
	    
		DTLM_Resurch=((avalGV.T-amontTurbBP.T)-(amontPump2.T-avalTurbHP.T))/Math.log((avalGV.T-amontTurbBP.T)/(amontPump2.T-avalTurbHP.T));
	    double UArech2=H2OBPturbineFlow*(amontTurbBP.H-avalTurbHP.H)/DTLM_Resurch;
	    DTLM_Prech=((amontPump3.T-amontEco.T)-(amontPump3.T-amontGV.T))/Math.log((amontPump3.T-amontEco.T)/(amontPump3.T-amontGV.T));
	    double UAeco2=(H2OHPturbineFlow-H2OBPturbineFlow)*(-amontPump3.H+avalTurbHP.H)/DTLM_Prech;
	    
	    //recherche de UA_lv, UA_v, ACC
	    //Calcul de h vapeur condenseur
	    PFORC.T=amontPumpORC.T+0.1;
	    PFORC.P=PFORC.lecorps.getSatPressure(amontPumpORC.T, 1);
        PFORC.X=1;
        PFORC.update(UPDATE_T,UPDATE_P,UPDATE_X);
        PFORC.getProperties();
        double h_int_ACC=PFORC.H;
        
	    double T_int_air=(h_int_ACC-amontPumpORC.H)*ORCturbineFlow/airFlow+inAir.T;
	    System.out.println("T int air = "+ T_int_air);
	    DTLM_Acc_v=((avalTurbORC.T-outAir.T)-(amontPumpORC.T-T_int_air))/Math.log((avalTurbORC.T-outAir.T)/(amontPumpORC.T-T_int_air));
	    double UAac_v2= (avalTurbORC.H-h_int_ACC)*ORCturbineFlow/DTLM_Acc_v;
	    DTLM_Acc_lv=((amontPumpORC.T-inAir.T)-(amontPumpORC.T-T_int_air))/Math.log((amontPumpORC.T-inAir.T)/(amontPumpORC.T-T_int_air));
	    System.out.println("DTLM ACC lv = "+ DTLM_Acc_lv);
	    double UAac_lv2= (h_int_ACC-amontPumpORC.H)*ORCturbineFlow/ DTLM_Acc_lv;
	    
	    //recherche de UA lv, UA l, CB
	    PFST.T=amontTurbORC.T-0.1;
	    PFST.P=PFST.corps.lecorps.getSatPressure(amontTurbORC.T, 0);
	    PFST.X=0;
	    PFST.update(UPDATE_T,UPDATE_P,!UPDATE_X);
	    PFST.getProperties();
	    PFST.getProperties();
	    double h_int_CB=PFST.H;
	    
	    DTLM_CB_l=((amontPump1.T-avalPumpORC.T)-(amontPump1.T-amontTurbORC.T))/Math.log((amontPump1.T-avalPumpORC.T)/(amontPump1.T-amontTurbORC.T));
	    double UAcb_l2=(h_int_CB-avalPumpORC.H)*ORCturbineFlow/DTLM_CB_l;
	    DTLM_CB_lv=amontPump1.T-amontTurbORC.T;
	    double UAcb_lv2=(amontTurbORC.H-h_int_CB)*ORCturbineFlow/DTLM_CB_lv;
	    System.out.println("DTLM_CB_l = " + DTLM_CB_l);
	    System.out.println("DTLM_CB_lv = " + DTLM_CB_lv);
	    
        System.out.println("amontPump1.T = " + amontPump1.T);
        System.out.println("avalPumpORC.T = " + avalPumpORC.T);
        System.out.println("amontTurbORC.T = " + amontTurbORC.T);
        System.out.println("debit ORC = " + ORCturbineFlow);
        System.out.println("power lv = " + (amontTurbORC.H-h_int_CB)*ORCturbineFlow);
        System.out.println("power l = " + (h_int_CB-avalPumpORC.H)*ORCturbineFlow);
        System.out.println("avalPumpORC.H = " + avalPumpORC.H  );
        System.out.println("amontTurbORC.H= " + amontTurbORC.H);
        System.out.println("h_int_CB = " + h_int_CB);
        System.out.println("UAcb_lv = " + UAcb_lv);
        System.out.println("UAcb_l = " + UAcb_l);
        
	    UAac_v=UAac_v2;
	    UAac_lv=UAac_lv2;
        UAcb_l=UAcb_l2;
	    UAcb_lv=UAcb_lv2;
	    UArech=UArech2;
	    UAeco=UAeco2;
	    
	    /*
	   	UAac_v=2983;//R1233zd Parameters
	    UAac_lv=55000;
        UAcb_l=12281;
	    UAcb_lv=170076;
	    UArech=153;
	    UAeco=5042;
	    Korc=19374;
	    Khp=102;
	    Kbp=602;
	    */
	    Khp_value.setText(Util.aff_d(Khp,0));
	    Kbp_value.setText(Util.aff_d(Kbp,0));
	    Korc_value.setText(Util.aff_d(Korc,0));
	    UAeco_value.setText(Util.aff_d(UAeco,0));
	    UArech_value.setText(Util.aff_d(UArech,0));
	    UAac_lv_value.setText(Util.aff_d(UAac_lv,0));
	    UAac_v_value.setText(Util.aff_d(UAac_v,0));
	    UAcb_lv_value.setText(Util.aff_d(UAcb_lv,0));
	    UAcb_l_value.setText(Util.aff_d(UAcb_l,0));

	    /*
	    UAac_v=3826;
	    UAac_lv=55844;
        UAcb_l=14291;
	    UAcb_lv=166761;
	    UArech=152;
	    UAeco=5008;
	    Korc=16778;
	    Khp=102;
	    Kbp=601;
	    avalGV.T=490+273.15;
	     */
	    
        amontGV.getProperties();
		avalGV.getProperties();
		avalTurbHP.getProperties();
		amontPump3.getProperties();
		avalPump3.getProperties();
		amontPump2.getProperties();
		avalPump2.getProperties();
		amontTurbBP.getProperties();
		avalTurbBP.getProperties();
		amontPump1.getProperties();
		avalPump1.getProperties();
		amontEco.getProperties();
		
		amontTurbORC.getProperties();
		avalTurbORC.getProperties();
		amontPumpORC.getProperties();
		avalPumpORC.getProperties();
		
        inAir.getProperties();
        outAir.getProperties();
        
        PFST.getProperties();
        PFORC.getProperties();
	    
		xI1=amontPumpORC.T;
		xI2=ORCturbineFlow;
		xI3=amontTurbORC.T;
		xI4=H2OBPturbineFlow;
		xI5=avalTurbHP.P;
		xI6=amontTurbBP.T;
		xI7=amontGV.P;
		xI8=amontGV.T;
		xI9=amontPump1.T;
	    
	}
	
	void bCalculate_actionPerformed(java.awt.event.ActionEvent event){
	    calculatePilot();
	}
	
	public void calculatePilot(){
	    //if(!isInitialized)init();//la premire fois, on initialise, car il faut un constructeur sans argument
	                            //pour instancier la classe par le RMI
	  
	    Tair=Util.lit_d(Ta_value.getText())+273.15;
	    
	    UAac_v=Util.lit_d(UAac_v_value.getText());
	    UAac_lv=Util.lit_d(UAac_lv_value.getText());
        UAcb_l=Util.lit_d(UAcb_l_value.getText());
	    UAcb_lv=Util.lit_d(UAcb_lv_value.getText());
	    UArech=Util.lit_d(UArech_value.getText());
	    UAeco=Util.lit_d(UAeco_value.getText());
	    Korc=Util.lit_d(Korc_value.getText());
	    Khp=Util.lit_d(Khp_value.getText());
	    Kbp=Util.lit_d(Kbp_value.getText());
	    H2OTotalFlow=Util.lit_d(H2OTotalFlow_value.getText());
	    
	    /*
	    UAac_v=3826;//R245fa Parameters
	    UAac_lv=55844;
        UAcb_l=14291;
	    UAcb_lv=166761;
	    UArech=152;
	    UAeco=5008;
	    Korc=16778;
	    Khp=102;
	    Kbp=601;
	    */
	    /*
	    UAac_v=2983;//R1233zd Parameters
	    UAac_lv=55000;
        UAcb_l=12281;
	    UAcb_lv=170076;
	    UArech=153;
	    UAeco=5042;
	    Korc=19374;
	    Khp=102;
	    Kbp=602;
	    */
        //mise  jour de la partie relative  l'air de refroidissement
        
	    inAir.T=Tair;
        inAir.update(UPDATE_T,!UPDATE_P,!UPDATE_X);
        inAir.getProperties();
        
	    algorithmResults.setText("");
	 
		int m = 9;
		int n = 9;
	        
		double fvec[] = new double[m+1];
		double x[] = new double[n+1];
    	int info[] = new int[2];
		int iflag[] = new int[2];
	    
		/*
        amontGV.getProperties();
		avalGV.getProperties();
		avalTurbHP.getProperties();
		amontPump3.getProperties();
		avalPump3.getProperties();
		amontPump2.getProperties();
		avalPump2.getProperties();
		amontTurbBP.getProperties();
		avalTurbBP.getProperties();
		amontPump1.getProperties();
		avalPump1.getProperties();
		amontEco.getProperties();
		
		amontTurbORC.getProperties();
		avalTurbORC.getProperties();
		amontPumpORC.getProperties();
		avalPumpORC.getProperties();
		
        inAir.getProperties();
        outAir.getProperties();
		*/
		
		x[1]=amontPumpORC.T;
		x[2]=ORCturbineFlow;
		x[3]=amontTurbORC.T;
		x[4]=H2OBPturbineFlow;
		x[5]=avalTurbHP.P;
		x[6]=amontTurbBP.T;
		x[7]=amontGV.P;
		x[8]=amontGV.T;
		
		
		/*
		x[1]=xI1;
		x[2]=xI2;
		x[3]=xI3;
		x[4]=xI4;
		x[5]=xI5;
		x[6]=xI6;
		x[7]=xI7;
		x[8]=xI8;
		*/
		
		
	    double residu0;
		double residu1;
	        
        fcn(m,n,x,fvec,iflag);
		residu0 = optimization.Minpack_f77.enorm_f77(m,fvec);

		double epsi=0.0005;//prcision globale demande sur la convergence 0.0005
        double epsfcn = 1.e-9;//prcision calcul des diffrences finies epsfcn = 1.e-6
        
        if(twoStepAlgorithm.isSelected()){
            epsi=0.01;
        }
		
        //appel modifi de lmdiff avec modification prcision calcul des diffrences finies
		optimization.Minpack_f77.lmdif2_f77(this, m, n, x, fvec, epsi, epsfcn, info);
		residu1 = optimization.Minpack_f77.enorm_f77(m,fvec);
		
		System.out.println(); 
		System.out.println(" Initial L2 norm of the residuals: " + residu0); 
        System.out.println("Final L2 norm of the residuals: " + residu1);
        System.out.println("Number of function evaluations: " + nfev);
        System.out.println("Number of Jacobian evaluations: " + njev);
        System.out.println("Info value: " + info[1]);
        System.out.println("Final approximate solution: " + x[1] + ", " + x[2]+ ", "  + x[3] );
		System.out.println(); 

	    algorithmResults.setText("Algorithm precision: " + Util.aff_d(residu1,8));

        if(twoStepAlgorithm.isSelected()){
            epsi=0.00005;
            epsfcn = 1.e-9;//prcision calcul des diffrences finies
    		
            //appel modifi de lmdiff avec modification prcision calcul des diffrences finies
		    optimization.Minpack_f77.lmdif2_f77(this, m, n, x, fvec, epsi, epsfcn, info);
		    residu1 = optimization.Minpack_f77.enorm_f77(m,fvec);
				
		    System.out.println(); 
		    System.out.println(" Initial L2 norm of the residuals: " + residu0); 
            System.out.println("Final L2 norm of the residuals: " + residu1);
            System.out.println("Number of function evaluations: " + nfev);
            System.out.println("Number of Jacobian evaluations: " + njev);
            System.out.println("Info value: " + info[1]);
            System.out.println("Final approximate solution: " + x[1] + ", " + x[2]+ ", "  + x[3] );
		    System.out.println(); /**/
	        algorithmResults.setText("Algorithm precision: " + Util.aff_d(residu1,8));
		}
		
       getEfficiency();
        
	    //affichages sur l'cran du pilote
        efficiency_value.setText(Util.aff_d(PVR/1e3,4));
        tauH2O_value.setText(Util.aff_d((-H2OturbinePower-PVR)/1e3,2));
        HP_value.setText(Util.aff_d(HP,2));
        //HP_value.setText(Util.aff_d(H2OHPturbineFlow,2));
        MP_value.setText(Util.aff_d(MP,2));
        //MP_value.setText(Util.aff_d(H2OBPturbineFlow,2));
        P2_value.setText(Util.aff_d(PevapORC,2));
        //P2_value.setText(Util.aff_d(ORCturbineFlow,2));
        P1_value.setText(Util.aff_d(PcondORC,2));
        STEP_value.setText(Util.aff_d(PcondH2O,2));
        tauNH3_value.setText(Util.aff_d(-ORCturbinePower/1e3,2));
       //tauNH3_value.setText(Util.aff_d(efficacite,4));
        
        System.out.println("Debit ORC " + ORCturbineFlow );
		System.out.println(); 
	}
	
public void fcn(int m, int n, double x[], double fvec[], int iflag[]) {
		
		if (iflag[1]==1) this.nfev++;
		if (iflag[1]==2) this.njev++;
		    
		TcondORC=x[1];
		ORCturbineFlow=x[2];
		TevapORC=x[3];
		H2OBPturbineFlow=x[4];
		MP=x[5];
		T2a=x[6];
		HP=x[7];
		TsEco=x[8];
		//TcondH2O=x[9];
		
        //mise  jour des points amont et aval de ACC
        PFORC.T=TcondORC+0.1; 
        PFORC.P=PFORC.lecorps.getSatPressure(TcondORC, 1);
        PFORC.X=1;
        //PFORC.isPsatSet=true;
        PFORC.update(UPDATE_T,UPDATE_P,UPDATE_X);
        PFORC.getProperties();
        double h_int=PFORC.H;

        amontPumpORC.T=TcondORC-0.1;
        amontPumpORC.X=0;
        amontPumpORC.P=amontPumpORC.lecorps.getSatPressure(TcondORC, 0);
        //amontPumpORC.isPsatSet=true;
        amontPumpORC.update(UPDATE_T,UPDATE_P,UPDATE_X);  
        amontPumpORC.getProperties();
        
        double T_int=(h_int-amontPumpORC.H)*ORCturbineFlow/airFlow+Tair;
        double DTLM_Acc_lv2=((amontPumpORC.T-Tair)-(amontPumpORC.T-T_int))/Math.log((amontPumpORC.T-Tair)/(amontPumpORC.T-T_int));
        double UA_ACC_lv_recal=(h_int-amontPumpORC.H)*ORCturbineFlow/DTLM_Acc_lv2;
        
        System.out.println();
        System.out.println("UA ACC = "+ UAac_lv);
        System.out.println("UA ACC recal = "+ UA_ACC_lv_recal);
        System.out.println();
        
        PcondORC=amontPumpORC.P;
        
        //tubrine ORC
        amontTurbORC.T=TevapORC+0.1; 
        amontTurbORC.X=1;
        amontTurbORC.P=amontTurbORC.lecorps.getSatPressure(TevapORC, 1);
        amontTurbORC.update(UPDATE_T, UPDATE_P, UPDATE_X);
        amontTurbORC.getProperties();
        PevapORC=amontTurbORC.P;
        
        double Korc_recal=Math.pow(ORCturbineFlow*ORCturbineFlow*(TevapORC)/(PevapORC*PevapORC-PcondORC*PcondORC),0.5);
        
        System.out.println();
        System.out.println("Korc = "+Korc);
        System.out.println("Korc recal = "+Korc_recal);
        System.out.println();
        
        //mise  jour des Pressions imposes (attention, certaines sont dsactives pour que l'algorithme puisse fonctionner)
        avalTurbORC.P=amontPumpORC.P; 
        avalTurbORC.update(!UPDATE_T, UPDATE_P, !UPDATE_X);
        avalTurbORC.getProperties();
        double eta_is=0.85;
        updateprocess(ORCturbineName, "Expansion", RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, ORCturbineFlow, UPDATE_ETA, eta_is);
        avalTurbORC.getProperties();
        
        //UA ACC v
        outAir.T=(avalTurbORC.H-h_int)*ORCturbineFlow/airFlow+T_int;
 		double DTLM_Acc_v2=((avalTurbORC.T-outAir.T)-(TcondORC-T_int))/Math.log((avalTurbORC.T-outAir.T)/(TcondORC-T_int));
 		double UA_acc_v_recal=(avalTurbORC.H-h_int)*ORCturbineFlow/DTLM_Acc_v2;
        
        //mise a jour des points amont, aval de CB
        PFORC.T=TevapORC-0.1; 
        PFORC.P=PFORC.lecorps.getSatPressure(TevapORC, 0);
        PFORC.X=0;
        PFORC.update(UPDATE_T,UPDATE_P,UPDATE_X);
        PFORC.getProperties();
        double h_int_CB= PFORC.H;
        
        /*
        amontTurbORC.T=TevapORC+0.1;
        amontTurbORC.P=amontTurbORC.lecorps.getSatPressure(TevapORC, 1);
        amontTurbORC.X=1;
        amontTurbORC.update(UPDATE_T, UPDATE_P, UPDATE_X);
        amontTurbORC.getProperties();
        */
        
        double eta_is_pump=0.7;
        avalPumpORC.P=amontTurbORC.P;
        //avalPumpORC.T=amontPumpORC.T+0.5;
        //avalPumpORC.X=0;
        avalPumpORC.update(UPDATE_T, UPDATE_P, UPDATE_X);
        avalPumpORC.getProperties();
        updateprocess("Pompe ORC", "Compression", RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OHPturbineFlow, UPDATE_ETA, eta_is_pump);
        avalPumpORC.getProperties();
        
        TcondH2O=(amontTurbORC.H-h_int_CB)*ORCturbineFlow/UAcb_lv+TevapORC;//calcul direct de TcondH2O par UA
        //double UAcb_lv_recal=(amontTurbORC.H-h_int_CB)*ORCturbineFlow/(TcondH2O-TevapORC);
        
        amontPump1.T=TcondH2O-0.1;
        amontPump1.X=0;
        amontPump1.P=amontPump1.lecorps.getSatPressure(TcondH2O, 0);
        amontPump1.update(UPDATE_T, UPDATE_P, UPDATE_X);
        amontPump1.getProperties();
        
      //turbine H2O HP
        //double Khp_recal=Math.pow(H2OHPturbineFlow*H2OHPturbineFlow*avalGV.T/(HP*HP*0.782608696*0.782608696-MP*MP),0.5);
        avalGV.P=HP*0.782608696;
        avalGV.update(!UPDATE_T, UPDATE_P, UPDATE_X);
        avalGV.getProperties();
        avalTurbHP.P=MP;
        avalTurbHP.update(!UPDATE_T, UPDATE_P, !UPDATE_X);
        avalTurbHP.getProperties();
        eta_is=0.87;
        updateprocess(H2OHPturbineName, "Expansion", RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OHPturbineFlow, UPDATE_ETA, eta_is);
        avalTurbHP.getProperties();
        H2OHPturbineFlow=Math.pow(Khp*Khp*(HP*HP*0.782608696*0.782608696-MP*MP)/avalGV.T,0.5);
        
 	    //Rechauffeur
        amontPump2.P=avalGV.P;
        amontPump2.T=amontPump2.lecorps.getSatTemperature(HP*0.78, 0)-0.1;
        amontPump2.X=0;
        amontPump2.update(UPDATE_T, UPDATE_P, UPDATE_X);
        amontPump2.getProperties();
        
        double DTLM_Resurch2=((avalGV.T-amontTurbBP.T)-(amontPump2.T-avalTurbHP.T))/Math.log((avalGV.T-amontTurbBP.T)/(amontPump2.T-avalTurbHP.T));
        //double UA_Resurch_recal=H2OBPturbineFlow*(amontTurbBP.H-avalTurbHP.H)/DTLM_Resurch;
        double UA_Resurch_recal=(avalGV.H-amontPump2.H)*(H2OTotalFlow-H2OHPturbineFlow)/DTLM_Resurch2;
        
        System.out.println();
        System.out.println("UA resurch = "+UArech);
        System.out.println("UA resurch recal = "+UA_Resurch_recal);
        System.out.println();
        
        amontTurbBP.P=MP;
 		amontTurbBP.H=avalTurbHP.H+(avalGV.H-amontPump2.H)*(H2OTotalFlow-H2OHPturbineFlow)/H2OBPturbineFlow;
        amontTurbBP.T=amontTurbBP.lecorps.getT_from_hP(amontTurbBP.H, MP); 
 		amontTurbBP.update(UPDATE_T, UPDATE_P, UPDATE_X);
 		amontTurbBP.getProperties();
        
     	//turbine H2O BP
        PcondH2O=amontPump1.P;
        double Kbp_recal=Math.pow(H2OBPturbineFlow*H2OBPturbineFlow*T2a/(MP*MP-PcondH2O*PcondH2O),0.5);
       // amontTurbBP.P=MP;
        //amontTurbBP.T=T2a;
        //amontTurbBP.X=1;
        //amontTurbBP.update(UPDATE_T, UPDATE_P, UPDATE_X);
        //amontTurbBP.getProperties();
        avalTurbBP.P=PcondH2O;
        avalTurbBP.update(!UPDATE_T, UPDATE_P, !UPDATE_X);
        avalTurbBP.getProperties();
        eta_is=0.87;
        updateprocess(H2OBPturbineName, "Expansion", RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OBPturbineFlow, UPDATE_ETA, eta_is);
        avalTurbBP.getProperties();
        
        System.out.println();
        System.out.println("Kbp = "+Kbp);
        System.out.println("Kbp recal = "+Kbp_recal);
        System.out.println();
        
        //UA CB L
        double DTLM_CB_l2=((TcondH2O-avalPumpORC.T)-(TcondH2O-TevapORC))/Math.log((TcondH2O-avalPumpORC.T)/(TcondH2O-TevapORC));
 	    double UAcb_l_recal=(H2OBPturbineFlow*(avalTurbBP.H-amontPump1.H)-(amontTurbORC.H-h_int_CB)*ORCturbineFlow)/DTLM_CB_l2;
 	    
        //-------ci dessus verifie

        //Prechauffeur
        amontPump3.P=MP;
        amontPump3.T=amontPump3.lecorps.getSatTemperature(MP, 0)-0.1;
        amontPump3.X=0;
        amontPump3.update(UPDATE_T, UPDATE_P, UPDATE_X);
        amontPump3.getProperties();
        
        avalPump3.P=HP;
        avalPump3.X=0;
        avalPump3.update(!UPDATE_T, UPDATE_P, UPDATE_X);
        avalPump3.getProperties();
        updateprocess("Pompe 3", "Compression", RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OHPturbineFlow-H2OBPturbineFlow, UPDATE_ETA, eta_is_pump);
        avalPump3.getProperties();
        
        avalPump2.P=HP;
        avalPump2.X=0;
        avalPump2.update(!UPDATE_T, UPDATE_P, UPDATE_X);
        avalPump2.getProperties();
        updateprocess("Pompe2", "Compression", RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OTotalFlow-H2OHPturbineFlow, UPDATE_ETA, eta_is_pump);
        avalPump2.getProperties();
        
        avalPump1.P=HP;
        avalPump1.X=0;
        avalPump1.update(!UPDATE_T, UPDATE_P, UPDATE_X);
        avalPump1.getProperties();
        updateprocess("Pompe 1", "Compression", RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OBPturbineFlow, UPDATE_ETA, eta_is_pump);
        avalPump1.getProperties();
        
        updateNode("melange HP", RECALCULATE, !UPDATE_EPSI, 0);
        amontEco.getProperties();
        
        //double DTLM_Prech1=(avalTurbHP.H-amontPump3.H)*(H2OHPturbineFlow-H2OBPturbineFlow)/UAeco;
        double DTLM_Prech2=((amontPump3.T-amontEco.T)-(amontPump3.T-TsEco))/Math.log((amontPump3.T-amontEco.T)/(amontPump3.T-TsEco));
        double UAeco_recal2=(avalTurbHP.H-amontPump3.H)*(H2OHPturbineFlow-H2OBPturbineFlow)/DTLM_Prech2;
        
        amontGV.T=TsEco;
        amontGV.P=HP;
        amontGV.X=0;
        amontGV.update(UPDATE_T, UPDATE_P, UPDATE_X);
        amontGV.getProperties();
        
        double UAeco_recal=(amontGV.H-amontEco.H)*(H2OTotalFlow)/DTLM_Prech2;
        
		//H2OHPturbinePower=getTauTurbH2O();      
        
		fvec[1] = Math.pow((UA_ACC_lv_recal-UAac_lv)/UAac_lv,2);
		fvec[2] = Math.pow((Korc_recal-Korc)/Korc,2);
		fvec[3] = Math.pow((UA_acc_v_recal-UAac_v)/UAac_v,2);
		fvec[4] = Math.pow((Kbp_recal-Kbp)/Kbp,2);
		fvec[5]	= Math.pow((UAcb_l_recal-UAcb_l)/UAcb_l,2);
		fvec[6] = Math.pow((UA_Resurch_recal-UArech)/UArech,2);
		fvec[7] = Math.pow((UAeco-UAeco_recal)/UAeco,2);
		//fvec[7] = Math.abs(DTLM_Prech2-DTLM_Prech1)/DTLM_Prech1;
		fvec[8]	= Math.pow((T2a-amontTurbBP.T)/T2a,2);
		fvec[9] = Math.pow((UAeco-UAeco_recal2)/UAeco,2);
		
		//updateNode("NH3 bouilleur", RECALCULATE, !UPDATE_EPSI, 0);
        //amontBouillNH3.getProperties();
		
        //updateHx(evapoCondenserName, RECALCULATE, !UPDATE_UA, 0, !UPDATE_EPSI, 0, !UPDATE_DTMIN, 0);
        //updateHx(aeroCondenserName, RECALCULATE, !UPDATE_UA, 0, !UPDATE_EPSI, 0, !UPDATE_DTMIN, 0);
		
        //recalcul trois fois du projet
	    //for(int j=0;j<3;j++)proj.calcThopt();

        System.out.println();
        System.out.println("fvec[1] = "+ fvec[1]);
        System.out.println("fvec[2] = "+ fvec[2]);
        System.out.println("fvec[3] = "+ fvec[3]);
        System.out.println("fvec[4] = "+ fvec[4]);
        System.out.println("fvec[5] = "+ fvec[5]);
        System.out.println("fvec[6] = "+ fvec[6]);
        System.out.println("fvec[7] = "+ fvec[7]);
        System.out.println();
        
        return;
	}
 	
	public void readCompParameters(String ligne_data){
	    String value="";
	    value=Util.extr_value(ligne_data, "Korc");
		if(!(value==null)){
		    Korc=Util.lit_d(value);
	        Korc_value.setText(Util.aff_d(Korc,4));
	    }
	    value=Util.extr_value(ligne_data, "Khp");
		if(!(value==null)){
		    Khp=Util.lit_d(value);
	        Khp_value.setText(Util.aff_d(Khp,4));
	    }
	    value=Util.extr_value(ligne_data, "UAec");
		if(!(value==null)){
		    Kbp=Util.lit_d(value);
	        Kbp_value.setText(Util.aff_d(Kbp,4));
	    }
	    value=Util.extr_value(ligne_data, "UAac");
		if(!(value==null)){
		    UAac_lv=Util.lit_d(value);
	        UAac_value.setText(Util.aff_d(UAac_lv,4));
	    }
	    value=Util.extr_value(ligne_data, "UAeco");
		if(!(value==null)){
			UAeco=Util.lit_d(value);
	        UAeco_value.setText(Util.aff_d(UAeco,4));
	    }
	    value=Util.extr_value(ligne_data, "UArech");
		if(!(value==null)){
		    UArech=Util.lit_d(value);
	        UArech_value.setText(Util.aff_d(UArech,4));
	    }
	}
	
    public String saveCompParameters(){
	    String h="Korc="+Util.aff_d(Korc)+tab
	    +"Kh="+Util.aff_d(Khp)+tab
	    +"UAec="+Kbp_value.getText()+tab//modRG 27/06
	//    +"UAec="+Util.aff_d(UAec)+tab
	    +"UAac="+Util.aff_d(UAac_lv)+tab
	    +"UAeco="+Util.aff_d(UAeco)+tab
	    +"aDesignAeroCond="+Util.aff_d(aDesignAeroCond)+tab
	    ;
        return h;
    }

    void getEfficiency() {
    	
    	H2OHPturbinePower=getTurbineHPPower();
    	//H2OHPturbinePower=H2OHPturbineFlow*(avalTurbHP.H-avalGV.H);
    	H2OBPturbinePower=getTurbineBPPower();
    	//H2OBPturbinePower=H2OBPturbineFlow*(avalTurbBP.H-avalTurbBP.H);
    	
    	H2OturbinePower=(H2OHPturbinePower+H2OBPturbinePower);
    	
        //double SectionTurbine=1.84;//a entrer
        //double nbUnit=6;//a entrer
        NbUnit=Util.lit_d(NbUnit_value.getText());
	    SPassage=Util.lit_d(SPassage_value.getText());//lectrue de donnees turbine
	    //SPassage=1.84;//a entrer
        double vTurbine=avalTurbORC.V;
        System.out.println("vTurbine = "+vTurbine);
        double vitesseEchappement=ORCturbineFlow*vTurbine/SPassage/NbUnit;
        System.out.println("vitesseEchappement = "+ vitesseEchappement);
        PVR=vitesseEchappement*vitesseEchappement/2/1000*ORCturbineFlow;
    	
    	ORCturbinePower=getTurbineORCPower();
        //ORCturbinePower=ORCturbineFlow*(avalTurbORC.H-amontTurbORC.H);
    	amontGV.P=HP;
    	amontGV.T=TsEco;
    	amontGV.update(UPDATE_T, UPDATE_P, !UPDATE_X);
    	amontGV.getProperties();
    	
    	avalGV.P=HP*0.78;
    	avalGV.T=490+273.15;
    	avalGV.update(UPDATE_T, UPDATE_P, !UPDATE_X);
    	avalGV.getProperties();
    	GVPower=H2OTotalFlow*(avalGV.H-amontGV.H); 
    	
    	PumpConsump=(H2OTotalFlow-H2OHPturbineFlow)*(avalPump2.H-amontPump2.H)+(H2OHPturbineFlow-H2OBPturbineFlow)*(avalPump3.H-amontPump3.H)
    	+H2OBPturbineFlow*(avalPump1.H-amontPump1.H)+ORCturbineFlow*(avalPumpORC.H-amontPumpORC.H);
    	
    	efficacite= -(H2OHPturbinePower+H2OBPturbinePower+ORCturbinePower+PumpConsump)/GVPower;
    	
    }
    
    double getTurbineHPPower(){
        Vector vProp;
        Double f;
        //recalcul de la turbine
        double eta_is=0.87;
 /*           System.out.println("eta sec: " + eta_is);
        eta_is=technoTurbine.getWetIsentrEfficiency(eta_is);
            System.out.println("eta hum: " + eta_is);*/
        updateprocess(H2OHPturbineName, "Expansion",RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OHPturbineFlow,  UPDATE_ETA, eta_is);
 
        //ce qui permet de connatre la puissance consomme
        String[] args=new String[2];
        args[0]="process";
        args[1]=H2OHPturbineName;
        vProp=proj.getProperties(args);
        f=(Double)vProp.elementAt(4);
        H2OHPturbinePower=f.doubleValue();
        return H2OHPturbinePower;
    }
    
    double getTurbineBPPower(){
        Vector vProp;
        Double f;
        //recalcul de la turbine
        double eta_is=0.87;
 /*           System.out.println("eta sec: " + eta_is);
        eta_is=technoTurbine.getWetIsentrEfficiency(eta_is);
            System.out.println("eta hum: " + eta_is);*/
        updateprocess(H2OBPturbineName, "Expansion",RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, H2OBPturbineFlow,  UPDATE_ETA, eta_is);
 
        //ce qui permet de connatre la puissance consomme
        String[] args=new String[2];
        args[0]="process";
        args[1]=H2OBPturbineName;
        vProp=proj.getProperties(args);
        f=(Double)vProp.elementAt(4);
        H2OBPturbinePower=f.doubleValue();
        return H2OBPturbinePower;
    }
    
    double getTurbineORCPower(){
        Vector vProp;
        Double f;
        //recalcul de la turbine
        double eta_is=0.85;
 /*           System.out.println("eta sec: " + eta_is);
        eta_is=technoTurbine.getWetIsentrEfficiency(eta_is);
            System.out.println("eta hum: " + eta_is);*/
        updateprocess(ORCturbineName, "Expansion",RECALCULATE,IS_SET_FLOW, UPDATE_FLOW, ORCturbineFlow,  UPDATE_ETA, eta_is);
 
        //ce qui permet de connatre la puissance consomme
        String[] args=new String[2];
        args[0]="process";
        args[1]=ORCturbineName;
        vProp=proj.getProperties(args);
        f=(Double)vProp.elementAt(4);
        ORCturbinePower=f.doubleValue();
        
        return ORCturbinePower;
    }
    

}