/*
Copyright Renaud GICQUEL 2008  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import rg.thopt.*;


public class TechnoEvapoCondensor extends TechnoHx
{
	public TechnoEvapoCondensor()
	{
        super();
    }
    CorpsThopt corpsf,corpsc;
	public TechnoEvapoCondensor(Projet proj, String hXname, PointThopt amontHot, PointThopt avalHot, PointThopt amontCold, PointThopt avalCold)
	{
	    super(proj, hXname, amontHot, avalHot, amontCold, avalCold);
	    corpsc=new CorpsThopt(proj, amontHot.nomCorps, amontHot.lecorps);
	    corpsf=new CorpsThopt(proj, amontCold.nomCorps, amontCold.lecorps);
    }
	public TechnoEvapoCondensor(Projet proj, String hXname)
	{
	    super(proj, hXname);
	    corpsc=new CorpsThopt(proj, techc.amont.nomCorps, techc.amont.lecorps);
	    corpsf=new CorpsThopt(proj, techf.amont.nomCorps, techf.amont.lecorps);
    }
  	public String getClassDescription(){
	    return "evapo-condensor class\n\nauthor : R. Gicquel  june 2008\n\nRef : archive ";
	}
	
    public String getType(){
        return "evapo-condensor";
    }
    public String getClassName(){
        return "TechnoEvapoCondensor";
    }
	
    public void makeDesign(){//chaud et froid diphasiques 
        resetHX();
        
        //initialisations vaporation
        
        Pfe=techf.amont.P;
        Tfv=corpsf.lecorps.getSatTemperature(Pfe,0);//pour le moment, on nglige la perte de charge dans l'changeur
        //on pourra affiner ultrieurement 
	    corpsf.lecorps.CalcPropCorps(Tfv-0.1, Pfe, 0);
	    corpsf.getSubstProperties();
        double Hl=corpsf.H;
	    corpsf.lecorps.CalcPropCorps(Tfv+0.1, Pfe, 1);
	    corpsf.getSubstProperties();
        double Hv=corpsf.H;
        
        Tfl=Tfv-0.1;
        Lf=Hv-Hl;
 //       mCpflv=mf*Lf/0.2;
        mCpflv=mf*Lf;        
        //on estime les mCp liquide et vapeur indpendamment des tats des points amont et aval existants
	    corpsf.lecorps.CalcPropCorps(Tfv+10, Pfe, 1);
	    corpsf.getSubstProperties();
        mCpfv=mf*(corpsf.H-Hv)/10.;
	    corpsf.lecorps.CalcPropCorps(Tfv-5, Pfe, 1);
	    corpsf.getSubstProperties();
        mCpfl=mf*(Hl-corpsf.H)/5.;
        
        //initialisation condensation
        
        Pce=techc.amont.P;
        Tcv=corpsc.lecorps.getSatTemperature(Pce,0);//pour le moment, on nglige la perte de charge dans l'changeur
        //on pourra affiner ultrieurement 
	    corpsc.lecorps.CalcPropCorps(Tcv-0.1, Pce, 0);
	    corpsc.getSubstProperties();
        Hl=corpsc.H;
	    corpsc.lecorps.CalcPropCorps(Tcv+0.1, Pce, 1);
	    corpsc.getSubstProperties();
        Hv=corpsc.H;
        
        Tcl=Tcv-0.1;
        Lc=Hv-Hl;
 //       mCpclv=mc*Lc/0.2;        
        mCpclv=mc*Lc;        
        //on estime les mCp liquide et vapeur indpendamment des tats des points amont et aval existants
	    corpsc.lecorps.CalcPropCorps(Tcv+10, Pce, 1);
	    corpsc.getSubstProperties();
        mCpcv=mc*(corpsc.H-Hv)/10.;
	    corpsc.lecorps.CalcPropCorps(Tcv-5, Pce, 1);
	    corpsc.getSubstProperties();
        mCpcl=mc*(Hl-corpsc.H)/5.;
        //Fin initialisation condensation
        
        double Xc1=mCpfl*(Tfv-Tfe)/mc/Lc;
        UAlv=mf*(avalCold.H-amontCold.H)/(Tcv-Tfv);
        
        //calcul des changeurs
        //connaissant les tempratures d'entre et de sortie et les dbits des deux fluides, 
        //on commence par dterminer l'efficacit epsilon, et on en dduit UA par la mthode du NUT
            
        //attention : il n'y a pas de tests de cohrence
        epsil=(Tfv-Tfe)/(Tcv-Tfe);
        Rl=mCpf/mCpclv;
        NUTl=Util.NUT_epsi(epsil,Rl);
        UAl=mCpf*NUTl;
        UAv=0;
        
	    if(debug)System.out.println("epsiv "+epsiv+"  epsilv "+epsilv+"  epsil "+epsil);
	    if(debug)System.out.println("Rv "+Rv+"  Rlv "+Rlv+"  Rl "+Rl);
	    if(debug)System.out.println("mCpc "+mCpc+"  mCpflv "+mCpflv+"  mCpfv "+mCpfv);
	    if(debug)System.out.println("NUTv "+NUTv+"  NUTlv "+NUTlv+"  NUTl "+NUTl);
	    if(debug)System.out.println("UAv "+UAv+"  UAlv "+UAlv+"  UAl "+UAl);
	    if(debug)System.out.println("Tcv "+Tcv+"  Tcl "+Tcl+"  Tfv "+Tfv);
        UA=UAv+UAlv+UAl;
  //      UA_value.setValue(UA);
        Uv=1;//getUv(techc.amont.X,1);//pour viter une division par 0 dans setupA()
        Ul=getUl(techc.amont.X,0);
        Ulv=getUlv(techc.amont.X,1);
        setupA(true);
        U=1000.*UA/A;
        calcPressureDrops(false);
    }
    
    
}