/*
Copyright Renaud GICQUEL 2005-2008  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import rg.thopt.*;
import java.util.*;
import javax.swing.*;

/**
 * Classe de dimensionnement technologique d'un compresseur volumtrique
 * Technological design class for volumetric compressors
 */

public class VolumCompr extends ExtTechnoDesign
{
	double r_compr;
    String compressorName;
	double K1=0.87953221,	K2=0.0038, K3=-0.152, R1=7.0, R2=1.236;	
	double a0=0.96, alpha=0.038, N=872.7969721981, Vs=0.0199;	
	
	public VolumCompr(){
	}

	public VolumCompr(Projet proj, String compressorName, PointThopt amont, PointThopt aval){
		super(proj, compressorName, amont, aval);
	    this.compressorName=componentName;
	    setupPanel();
	}
	public VolumCompr(Projet proj, String compressorName){
		super(proj, compressorName);
	    this.compressorName=componentName;
	    setupPanel();
	}
	/*
	 Le JLabel JLabComprType pourrait permettre d'associer  cette classe une liste de compresseurs pr-paramtrs
	 mais le code permettant de charger un composant de cette liste n'a pas t implment. 
	 C'est pourquoi il est ensuite retir.
	 */
	void setupPanel(){
		JPanel1.setLayout(null);
		JPanel1.setBounds(0,0,672,520);
		JLabel14.setText("isentropic efficiency");
		JPanel1.add(JLabel14);
		JLabel14.setBounds(372,144,144,24);
		risentr_value.setSelectionColor(new java.awt.Color(204,204,255));
		risentr_value.setSelectedTextColor(java.awt.Color.black);
		risentr_value.setCaretColor(java.awt.Color.black);
		risentr_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(risentr_value);
		risentr_value.setBounds(516,144,120,24);
		displayLabel.setText("display value");
	//	JPanel1.add(displayLabel);
		displayLabel.setBounds(372,216,132,24);
		m_value.setSelectionColor(new java.awt.Color(204,204,255));
		m_value.setSelectedTextColor(java.awt.Color.black);
		m_value.setCaretColor(java.awt.Color.black);
		m_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(m_value);
		m_value.setBounds(516,180,120,24);
		JLabComprType.setText("Compressor type");
		JPanel1.add(JLabComprType);
		JLabComprType.setBounds(408,72,228,36);
		display_value.setSelectionColor(new java.awt.Color(204,204,255));
		display_value.setSelectedTextColor(java.awt.Color.black);
		display_value.setCaretColor(java.awt.Color.black);
		display_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(display_value);
		display_value.setBounds(516,216,120,24);
		JLabel15.setText("flow rate");
		JPanel1.add(JLabel15);
		JLabel15.setBounds(372,180,132,24);
		JLabel1.setText("alpha vol. efficiency");
		JPanel1.add(JLabel1);
		JLabel1.setBounds(0,60,144,24);
		alpha_value.setText("0.04");
		JPanel1.add(alpha_value);
		alpha_value.setBounds(144,60,120,24);
		N_value.setText("1500");
		JPanel1.add(N_value);
		N_value.setBounds(144,228,100,24);
		JLabel12.setText("volumetric efficiency");
		JPanel1.add(JLabel12);
		JLabel12.setBounds(372,216,144,24);
		JLabel3.setText("Vs");
		JPanel1.add(JLabel3);
		JLabel3.setBounds(0,264,132,24);
		Vs_value.setText("0");
		JPanel1.add(Vs_value);
		Vs_value.setBounds(144,264,100,24);
		JLabel5.setText("K1");
		JPanel1.add(JLabel5);
		JLabel5.setBounds(0,96,144,24);
		K1_value.setText("1");
		JPanel1.add(K1_value);
		K1_value.setBounds(144,96,120,24);
		JLabel7.setText("a0 vol efficiency");
		JPanel1.add(JLabel7);
		JLabel7.setBounds(0,30,108,24);
		JLabel4.setText("K2");
		JPanel1.add(JLabel4);
		JLabel4.setBounds(0,120,144,24);
		K2_value.setText("-0.004");
		JPanel1.add(K2_value);
		K2_value.setBounds(144,120,120,24);
		JLabel8.setText("R1");
		JPanel1.add(JLabel8);
		JLabel8.setBounds(0,168,144,24);
		R1_value.setText("5");
		JPanel1.add(R1_value);
		R1_value.setBounds(144,168,120,24);
		JLabel9.setText("R2");
		JPanel1.add(JLabel9);
		JLabel9.setBounds(0,192,144,24);
		R2_value.setText("0.3");
		JPanel1.add(R2_value);
		R2_value.setBounds(144,192,120,24);
		JPanel1.add(a0_value);
		a0_value.setBounds(144,30,120,24);
		a0_value.setText("0.96");
		JLabel6.setText("K3");
		JPanel1.add(JLabel6);
		JLabel6.setBounds(0,144,144,24);
		K3_value.setText("-0.5");
		JPanel1.add(K3_value);
		K3_value.setBounds(144,144,120,24);
		JLabel10.setText("K non adiab");
		JPanel1.add(JLabel10);
		JLabel10.setBounds(0,292,144,24);
		KnonAdiab_value.setText("0");
		KnonAdiab_value.setSelectionColor(new java.awt.Color(204,204,255));
		KnonAdiab_value.setSelectedTextColor(java.awt.Color.black);
		KnonAdiab_value.setCaretColor(java.awt.Color.black);
		KnonAdiab_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(KnonAdiab_value);
		KnonAdiab_value.setBounds(144,292,120,24);
		JLabel11.setText("number of devices");
		JPanel1.add(JLabel11);
		JLabel11.setBounds(0,324,144,24);
		deviceNumber_value.setText("1");
		deviceNumber_value.setSelectionColor(new java.awt.Color(204,204,255));
		deviceNumber_value.setSelectedTextColor(java.awt.Color.black);
		deviceNumber_value.setCaretColor(java.awt.Color.black);
		deviceNumber_value.setDisabledTextColor(new java.awt.Color(153,153,153));
		JPanel1.add(deviceNumber_value);
		deviceNumber_value.setBounds(144,324,120,24);
		JLabel2.setText("rotation speed");
		JPanel1.add(JLabel2);
		JLabel2.setBounds(0,228,144,24);
		
		JPanel1.remove(KnonAdiab_value);
		JPanel1.remove(JLabel10);
		JPanel1.remove(deviceNumber_value);
		JPanel1.remove(JLabel11);
		JPanel1.remove(JLabComprType);
		JPanel1.add(calcN);
		calcN.setBounds(244,228,100,24);
		calcN.setText("Calculate N");
		JPanel1.add(calcVs);
		calcVs.setBounds(244,264,100,24);
		calcVs.setText("Calculate Vs");
		JPanel1.add(calcProcess);
		calcProcess.setBounds(244,288,100,24);
		calcProcess.setText("Calculate m");
		
	    groupSystemType.add(calcN);
	    groupSystemType.add(calcVs);
	    groupSystemType.add(calcProcess);
	    calcProcess.setSelected(true);
	}

    public String getType(){
        return "VolumCompr";
    }
	
    public String getClassName(){
        return "VolumCompr";
    }
    public String getClassCode(){
        return "Compression";
    }
	

	//{{DECLARE_CONTROLS
	javax.swing.JTextField risentr_value = new javax.swing.JTextField();
	javax.swing.JLabel displayLabel = new javax.swing.JLabel();
	javax.swing.JTextField m_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabComprType = new javax.swing.JLabel();
	javax.swing.JTextField display_value = new javax.swing.JTextField();
	javax.swing.JLabel JLabel1 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel2 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel3 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel4 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel5 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel6 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel7 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel8 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel9 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel10 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel11 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel12 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel14 = new javax.swing.JLabel();
	javax.swing.JLabel JLabel15 = new javax.swing.JLabel();
	javax.swing.JTextField alpha_value = new javax.swing.JTextField();
	javax.swing.JTextField N_value = new javax.swing.JTextField();
	javax.swing.JTextField Vs_value = new javax.swing.JTextField();
	javax.swing.JTextField K1_value = new javax.swing.JTextField();
	javax.swing.JTextField K2_value = new javax.swing.JTextField();
	javax.swing.JTextField R1_value = new javax.swing.JTextField();
	javax.swing.JTextField R2_value = new javax.swing.JTextField();
	javax.swing.JTextField a0_value = new javax.swing.JTextField();
	javax.swing.JTextField K3_value = new javax.swing.JTextField();
	javax.swing.JTextField KnonAdiab_value = new javax.swing.JTextField();
	javax.swing.JTextField deviceNumber_value = new javax.swing.JTextField();
	final ButtonGroup groupSystemType=new ButtonGroup();
	javax.swing.JRadioButton calcN = new javax.swing.JRadioButton();
	javax.swing.JRadioButton calcVs = new javax.swing.JRadioButton();
	javax.swing.JRadioButton calcProcess = new javax.swing.JRadioButton();
	//}}

	
    double getRisentr(){
	    K1=Util.lit_d(K1_value.getText());
	    K2=Util.lit_d(K2_value.getText());	
	    K3=Util.lit_d(K3_value.getText());
	    R1=Util.lit_d(R1_value.getText());	
	    R2=Util.lit_d(R2_value.getText());
	    
	    double r_compr=aval.P/amont.P;
	    double risentr=0.5;
	    if(R1*R1+R2*R2==0)risentr=K1+K2/r_compr+K3/r_compr/r_compr;//3 parameter equation
	    else risentr=K1+K2*(r_compr-R1)*(r_compr-R1)+K3/(r_compr-R2);
	    risentr_value.setText(Util.aff_d(risentr,7));
	    return risentr;
    }
    
    double getLambdaVol(){
	    a0=Util.lit_d(a0_value.getText());
	    alpha=Util.lit_d(alpha_value.getText());	
        
	    double r_compr=aval.P/amont.P;
	    double lambda= a0-alpha*r_compr;
	    display_value.setText(Util.aff_d(lambda,7));
	    return lambda;
    }
    /**
    * renvoie le dbit massique
    *<p>
    * returns the mass flow
    * @param Vevap (inlet volumetric mass in m3/kg)
    **/
    public double getMassFlow(double Vevap){
//        double massFlow=Util.lit_d(N_value.getText())/60./Vevap*Util.lit_d(Vs_value.getText())*getLambdaVol();
        double massFlow=N/60./Vevap*Util.lit_d(Vs_value.getText())*getLambdaVol();
	    m_value.setText(Util.aff_d(massFlow,7));
        return massFlow;
    }
    /**
    * renvoie le dbit massique
    *<p>
    * returns the mass flow
    * @param Vevap (inlet volumetric mass in m3/kg)
    * @param rCompr (compression ratio)
    **/
    public double getMassFlow(double Vevap, double rCompr){
	    a0=Util.lit_d(a0_value.getText());
	    alpha=Util.lit_d(alpha_value.getText());	
        
	    double lambda= a0-alpha*rCompr;
  //      double massFlow=Util.lit_d(N_value.getText())/60./Vevap*Util.lit_d(Vs_value.getText())*lambda;
        double massFlow=N/60./Vevap*Util.lit_d(Vs_value.getText())*lambda;
	    m_value.setText(Util.aff_d(massFlow,7));
        return massFlow;
    }
    
    	public void setN(double Nrot){
	        N=Nrot;
	        N_value.setText(Util.aff_d(Nrot,4));
        }
 
    	public void setVs(double V){
	        Vs=V;
	        Vs_value.setText(Util.aff_d(V,8));
        }
    public void initVs(double Vevap){
	    String[] args=new String[2];
	    args[0]="process";//type of the element (see method getProperties(String[] args))
	    args[1]=componentName;//name of the process (see method getProperties(String[] args))
        Vector vProp=proj.getProperties(args);
        Double y=(Double)vProp.elementAt(3);
        double flow=y.doubleValue();
        Vs=flow/N*60.*Vevap/getLambdaVol();
        Vs_value.setText(Util.aff_d(Vs,8));
    }
    public void initN(double Vevap){
	    String[] args=new String[2];
	    args[0]="process";//type of the element (see method getProperties(String[] args))
	    args[1]=componentName;//name of the process (see method getProperties(String[] args))
        Vector vProp=proj.getProperties(args);
        Double y=(Double)vProp.elementAt(3);
        double flow=y.doubleValue();
        N=flow/Vs*60.*Vevap/getLambdaVol();
        N_value.setText(Util.aff_d(N,8));
    }

	public void makeDesign(){
	    r_compr=aval.P/amont.P;
        if(calcVs.isSelected()){
            N=Util.lit_d(N_value.getText());
            initVs(amont.V);
	        calcProcess.setSelected(true);
        }
        if(calcN.isSelected()){
            Vs=Util.lit_d(Vs_value.getText());
            initN(amont.V);
	        calcProcess.setSelected(true);
        }
	    double r_isentr=getRisentr();
	    display_value.setText(Util.aff_d(getLambdaVol(),7));
	    double val=getMassFlow(amont.V);
	    m_value.setText(Util.aff_d(val,7));
	}

    
	public void readCompParameters(String ligne_data){
		alpha_value.setText(Util.extr_value(ligne_data, "alpha_value"));
        N_value.setText(Util.extr_value(ligne_data, "N_value"));
        N=Util.lit_d(N_value.getText());
        Vs_value.setText(Util.extr_value(ligne_data, "Vs_value"));
        String valeur;
        valeur=Util.extr_value(ligne_data, "a0_value");
        if(valeur!=null)a0_value.setText(valeur);
        valeur=Util.extr_value(ligne_data, "K1_value");
        if(valeur!=null)K1_value.setText(valeur);
        valeur=Util.extr_value(ligne_data, "K2_value");
        if(valeur!=null)K2_value.setText(valeur);
        valeur=Util.extr_value(ligne_data, "K3_value");
        if(valeur!=null)K3_value.setText(valeur);
        valeur=Util.extr_value(ligne_data, "R1_value");
        if(valeur!=null)R1_value.setText(valeur);
        valeur=Util.extr_value(ligne_data, "R2_value");
        if(valeur!=null)R2_value.setText(valeur);
        valeur=Util.extr_value(ligne_data, "KnonAdiab");
        if(valeur!=null)KnonAdiab_value.setText(valeur);
        valeur=Util.extr_value(ligne_data, "Device_number");//number of devices
		if(valeur!=null)deviceNumber_value.setText(valeur);
	}
	

	/**
	 * saves project file specific technoDesign data
	 */
    public String saveCompParameters(){
	    String h="alpha_value="+alpha_value.getText()+tab
	    +"a0_value="+a0_value.getText()+tab
	    +"K1_value="+K1_value.getText()+tab
	    +"K2_value="+K2_value.getText()+tab
	    +"K3_value="+K3_value.getText()+tab
	    +"R1_value="+R1_value.getText()+tab
	    +"R2_value="+R2_value.getText()+tab
	    +"N_value="+N_value.getText()+tab
	    +"Vs_value="+Vs_value.getText()+tab
	    +"KnonAdiab="+KnonAdiab_value.getText()+tab
	    +"Device_number="+deviceNumber_value.getText()
	    
	    +"\n";//retour  la ligne impratif
        return h;
    }
	
}
 