/*
Copyright Renaud GICQUEL 2005  
renaud.gicquel@ensmp.fr

Ce logiciel est un programme informatique servant  modliser des systmes nergtiques.   

Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA  sur le site "http://www.cecill.info".  

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons, seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et les concdants successifs.  

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,   la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant  donn sa spcificit de logiciel libre, qui peut le rendre complexe   manipuler et qui le rserve donc  des dveloppeurs et des professionnels avertis possdant  des  connaissances  informatiques approfondies.  Les utilisateurs sont donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,   l'utiliser et l'exploiter dans les mmes conditions de scurit.   

Le fait que vous puissiez accder  cet en-tte signifie que vous avez  pris connaissance de la licence CeCILL, et que vous en avez accept les termes. 

This software is a computer program whose purpose is to model energy systems.  

This software is governed by the CeCILL  license under French law and abiding by the rules of distribution of free software.  You can  use,  modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".   

As a counterpart to the access to the source code and  rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty  and the software's author,  the holder of the economic rights,  and the successive licensors  have only  limited liability.   

In this respect, the user's attention is drawn to the risks associated with loading,  using,  modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means  that it is reserved for developers  and  experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or  data to be ensured and,  more generally, to use and operate it in the  same conditions as regards security.   

The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.  
*/
package extThopt;

import java.util.*;
import java.text.*;
import rg.corps.*;
import javax.swing.*;

/**
 * Abstract class defining a number of useful methods
*<p>This class should not be modified
 * 
 * @author Renaud GICQUEL
 */
public abstract class Util 
{
    
    /**
    * utility method
    *<p>
    * displays an integer
    *<p>
    * affiche un entier
    * @return String
    * @param i integer
    **/
	public static String aff_i(int i){
	    Integer II;
	    II=new Integer(i);
		return II.toString();
	}
    
    /**
    * utility method
    *<p>
    * reads an integer
    *<p>
    * lecture d'un entier
    * @return integer
    * @param s String
    **/
	public static int lit_i(String s ){
	    Integer II;
	    II=Integer.valueOf(s);
		return II.intValue();
	}
    
/**
 * displays a boolean
 *<p>affichage d'un boolen
 * 
 * @param b boolean
 * @return java.lang.String
 */
public static String aff_b(boolean b) {
	Boolean BB;
	BB=new Boolean(b);
		return BB.toString();
}
    /**
    * utility method
    *<p>
    * displays a double
    *<p>
    * affiche un double
    * @return String
    * @param d double
    **/
	public static String aff_d(double d){
	    Double DD;
	    DD=new Double(d);
		return DD.toString();
	}
    /**
* displays a double
*<p>
* mthode de classe d'affichage d'un double sous 
* forme de chane de caractre avec dec dcimales
* 
* @param d double
* @param dec number of decimals
*/
	public static String aff_d(double d, int dec)
	{
	if(Math.abs(d)<0.00000001)return "0";//modRG 08/07 
	NumberFormat form = NumberFormat.getInstance(Locale.US);
	form.setMinimumFractionDigits(dec);
	form.setMaximumFractionDigits(dec);
	double d1=d+0.49/Math.pow(10,dec);
	form.setGroupingUsed(false);//modRG 21/11
	return form.format(d1);
	}//fin de aff_d

    /**
    * utility method
    *<p>
    * reads a double
    *<p>
    * lecture d'un double
    * @return double
    * @param s String
    **/
	public static double lit_d(String s ){
	    try{
	        Double DD;
	        DD=Double.valueOf(s);
		    return DD.doubleValue();
		}
		catch(NumberFormatException nfe){
	        String message="Watch out! the number format is inadequate."; 
	        JOptionPane.showMessageDialog(new JFrame(),message);
		    return 0;
		}
	}
    
    /** 
    * utility method
    *<p>
    * reads a boolean
    *<p>
    * lecture d'un boolen
    * @return boolean
    * @param s "true" or "false"
    */
    public static boolean lit_b(String s) {
	    Boolean BB;
	    BB=new Boolean(s);
	    return BB.booleanValue();
    }
    /**
    * utility method
    * 
    * extracts the String at the right of the '=' character
    * 
    * @param s original String "value=3.4"
    * @return java.lang.String
    */
    public static String extr_value(String s) {
        int ind_egal=s.indexOf('=');
        if(ind_egal<s.length())
	    return s.substring(ind_egal+1);
	    return null;
    }

    /**
    * utility method
    * 
    * extracts the String at the right of the '=' character
    * corresponding to the String search at the left of '='
    * from a spreadsheet line (tab separator)
    * 
    * @param ligne_data original data line
    * @param search String "value"
    * @return java.lang.String
    */
    public static String extr_value(String ligne_data, String search) {
        StringTokenizer st = new StringTokenizer(ligne_data,"\t");
        while(st.hasMoreTokens()){
            String s_cell=st.nextToken();
            int ind_egal=s_cell.indexOf(search);
            if(ind_egal!=-1){
                return extr_value(s_cell);
            }
        }
	    return null;
    }
    
    
/**
 * generic function inversion method by dichotomy
 *<p>
 * procdure gnrique d'inversion de fonction de T par dichotomie
 * @return double
 * @param value double
 * @param param double
 * @param function String
 * @param valMin double
 * @param valMax double
 * @param epsilon double
 */
public static double dicho_T (Inversable inv, double value,double param, String function,
double valMin, double valMax,double epsilon	) {

//value valeur cible de la function  inverser
//function code reprsentatif de la fonction (dans f_dicho)
//	valMin valeur mini de l'intervalle
//	valMax valeur maxi de l'intervalle
//	epsilon test de prcision

	double $T21,$T22,$T23,$f21,$f22,$f23,$psi1,$psi2,$psi3, $epsi,$psi;
	int $compt;
	$epsi=0.00001;

	$T21=valMin;
	$f21=inv.f_dicho($T21,param,function);

	$T22=valMax;
	$f22=inv.f_dicho ($T22,param,function);

	if(epsilon!=0)	$epsi=epsilon;


    $psi1=$f21-value;
    $psi2=$f22-value;

    $psi=(Math.abs($psi1)+Math.abs($psi2))/2;
    $T23=($T21+$T22)/2;
    $compt=0;
    while(($psi>$epsi)&&($compt<=100)){//modRG 12/01

        $compt=$compt+1;
        $T23=($T21+$T22)/2;
        $f23=inv.f_dicho ($T23,param,function);

        $psi3=$f23-value;
        if ($psi1*$psi3<0){
	        $T22=$T23;
	        $psi2=$psi3;
        }
	    else{
	        $T21=$T23;
	        $psi1=$psi3;
	    }

        $psi=Math.abs($psi3);
    }

    if ($compt<100)return $T23;
     else {
  /*     String mess=resIntTh_fr.getString("mess_78a")+
            function+resIntTh_fr.getString("appel_par")+getName()
            +"\n\n"
            +resIntTh_fr.getString("mess_78");
 	    boolean resp=Confirm(proj,resIntTh_fr.getString("OK"), 
	        resIntTh_fr.getString("Annuler"),
        resIntTh_fr.getString("ATTENTION"),mess);
        if(resp){
         String rep=" ";
         String valMin=aff_d_univ(valMin,8,LOC);
	     synchronized(rep){
	        rep=JDemander.Demander(proj,resIntTh_fr.getString("mess_79"),valMin);
         }
         valMin=lit_d(rep,LOC);
         String valMax=aff_d_univ(valMax,8,LOC);
	     synchronized(rep){
	        rep=JDemander.Demander(proj,resIntTh_fr.getString("mess_80"),valMax);
         }
         valMax=lit_d(rep,LOC);
	    return dicho_T(inv,value,param,function,valMin,valMax,$epsi);
	    }*/

	    return 0;
    }
}

    
    /**
    * utility method
    * 
    * creates an ideal gas
    * 
    * @param nomGas String
    * @return rg.corps.Corps
    */
    public static Corps createIdealGas(String nomGaz){
        //In order to be sure that the gas exists in the compound gas file 
        //we start with dummy gas [temp_sec] and we rename it subsequantly
        
        Corps idealGas=null;
         Object obj=Corps.createIdealGas(nomGaz);//instanciation du corps, encapsul dans un Object, sans message si le corps n'existe pas
        if(obj!=null)idealGas=(Corps)obj;//transtypage de l'Object
        
  /*      try{
            Object obj=Corps.createSubstance(nomGaz,false);//instanciation du corps, encapsul dans un Object, sans message si le corps n'existe pas
	        if(obj!=null)idealGas=(Corps)obj;//transtypage de l'Object
	        else{
                obj=Corps.createSubstance("[temp_sec]");//instanciation du corps, encapsul dans un Object, sans message si le corps n'existe pas
	            idealGas=(Corps)obj;//transtypage de l'Object
	            idealGas.setNom(nomGaz);
	        }
        }
        catch(Exception e){
            Object obj=Corps.createSubstance("[temp_sec]");//instanciation du corps, encapsul dans un Object, sans message si le corps n'existe pas
	        idealGas=(Corps)obj;//transtypage de l'Object
	        idealGas.setNom(nomGaz);
	    }*/
        return idealGas;
    }
    public static double getMax(double[]array){
        double max=array[0];
        for(int i=1;i<array.length;i++){
            if(array[i]>max)max=array[i];
        }
        return max;
    }
    public static double getMin(double[]array){
        double min=array[0];
        for(int i=1;i<array.length;i++){
            if(array[i]<min)min=array[i];
        }
        return min;
    }

    /**
    * utility method
    * 
    * extracts molar fraction relating to gas pureGas from composition Vector vComp
    * 
    * @param vComp Vector
    * @param pureGas String
    * @return double
    */
    public static double molarComp(Vector vComp,String pureGas){
        Integer i=(Integer)vComp.elementAt(0);
	    int nComp=i.intValue(); 
        String[] Comp= new String[nComp];
        Double[]fracMol= new Double[nComp];
	    Comp=(String[])vComp.elementAt(1);
	    fracMol=(Double[])vComp.elementAt(2);
        for(int j=0;j<nComp;j++){
            if(Comp[j].equals(pureGas))return fracMol[j].doubleValue();
        }
        return 0.;
    }

    /**
    * utility method
    * 
    * updates the molar fraction relating to gas pureGas in composition Vector vComp
    * 
    * @param vComp Vector
    * @param pureGas String
    * @param newFractMol double
    */
    public static void updateMolarComp(Vector vComp,String pureGas, double newFractMol){
        Integer i=(Integer)vComp.elementAt(0);
	    int nComp=i.intValue(); 
        String[] Comp= new String[nComp];
        Double[]fracMol= new Double[nComp];
        Double[]fracMass= new Double[nComp];
	    Comp=(String[])vComp.elementAt(1);
	    fracMol=(Double[])vComp.elementAt(2);
//	    fracMass=(Double[])vComp.elementAt(3);
        for(int j=0;j<nComp;j++){
            if(Comp[j].equals(pureGas)){
                fracMol[j]=new Double(newFractMol);
  //              fracMass[j]=new Double(newFractMass);
                vComp.setElementAt(fracMol, 2);
                break;
            }
        }
    }
    
    /**
    * utility method
    * 
    * returns true if gas pureGas iis included in Vector vComp
    * 
    * @param vComp Vector
    * @param pureGas String
    */
        public static boolean contains(Vector vComp,String pureGas){
        Integer i=(Integer)vComp.elementAt(0);
	    int nComp=i.intValue(); 
        String[] Comp= new String[nComp];
	    Comp=(String[])vComp.elementAt(1);
        for(int j=0;j<nComp;j++){
            if(Comp[j].equals(pureGas))return true;
        }
        return false;
    }
    
        public static int solveCubic(double eqn[], double res[]) {
	    // From Numerical Recipes, 5.6, Quadratic and Cubic Equations
	    double d = eqn[3];
	    double a = eqn[2] / d;
	    double b = eqn[1] / d;
	    double c = eqn[0] / d;
	    int roots = 0;
	    double Q = (a * a - 3.0 * b) / 9.0;
	    double R = (2.0 * a * a * a - 9.0 * a * b + 27.0 * c) / 54.0;
	    double R2 = R * R;
	    double Q3 = Q * Q * Q;
	    a = a / 3.0;
	    if (R2 < Q3) {
	        double theta = Math.acos(R / Math.sqrt(Q3));
	        Q = -2.0 * Math.sqrt(Q);
	        if (res == eqn) {
		    // Copy the eqn so that we don't clobber it with the
		    // roots.  This is needed so that fixRoots can do its
		    // work with the original equation.
		    eqn = new double[4];
		    System.arraycopy(res, 0, eqn, 0, 4);
	        }
	        res[roots++] = Q * Math.cos(theta / 3.0) - a;
	        res[roots++] = Q * Math.cos((theta + Math.PI * 2.0)/ 3.0) - a;
	        res[roots++] = Q * Math.cos((theta - Math.PI * 2.0)/ 3.0) - a;
	        fixRoots(res, eqn);
	    } else {
	        boolean neg = (R < 0.0);
	        double S = Math.sqrt(R2 - Q3);
	        if (neg) {
		    R = -R;
	        }
	        double A = Math.pow(R + S, 1.0 / 3.0);
	        if (!neg) {
		    A = -A;
	        }
	        double B = (A == 0.0) ? 0.0 : (Q / A);
	        res[roots++] = (A + B) - a;
	    }
	    return roots;
    }
	

    private static void fixRoots(double res[], double eqn[]) {
	    final double EPSILON = 1E-5;
	    for (int i = 0; i < 3; i++) {
	        double t = res[i];
	        if (Math.abs(t) < EPSILON) {
		    res[i] = findZero(t, 0, eqn);
	        } else if (Math.abs(t - 1) < EPSILON) {
		    res[i] = findZero(t, 1, eqn);
	        }
	    }
    }

    private static double solveEqn(double eqn[], int order, double t) {
	    double v = eqn[order];
	    while (--order >= 0) {
	        v = v * t + eqn[order];
	    }
	    return v;
    }

    private static double findZero(double t, double target, double eqn[]) {
	    double slopeqn[] = {eqn[1], 2*eqn[2], 3*eqn[3]};
	    double slope;
	    double origdelta = 0;
	    double origt = t;
	    while (true) {
	        slope = solveEqn(slopeqn, 2, t);
	        if (slope == 0) {
		    // At a local minima - must return
		    return t;
	        }
	        double y = solveEqn(eqn, 3, t);
	        if (y == 0) {
		    // Found it! - return it
		    return t;
	        }
	        // assert(slope != 0 && y != 0);
	        double delta = - (y / slope);
	        // assert(delta != 0);
	        if (origdelta == 0) {
		    origdelta = delta;
	        }
	        if (t < target) {
		    if (delta < 0) return t;
	        } else if (t > target) {
		    if (delta > 0) return t;
	        } else { /* t == target */
		    return (delta > 0
			    ? (target + java.lang.Double.MIN_VALUE)
			    : (target - java.lang.Double.MIN_VALUE));
	        }
	        double newt = t + delta;
	        if (t == newt) {
		    // The deltas are so small that we aren't moving...
		    return t;
	        }
	        if (delta * origdelta < 0) {
		    // We have reversed our path.
		    int tag = (origt < t
			    ? getTag(target, origt, t)
			    : getTag(target, t, origt));
		    if (tag != INSIDE) {
		        // Local minima found away from target - return the middle
		        return (origt + t) / 2;
		    }
		    // Local minima somewhere near target - move to target
		    // and let the slope determine the resulting t.
		    t = target;
	        } else {
		    t = newt;
	        }
	    }
    }
	
    private static final int BELOW = -2;
    private static final int LOWEDGE = -1;
    private static final int INSIDE = 0;
    private static final int HIGHEDGE = 1;
    private static final int ABOVE = 2;

    private static int getTag(double coord, double low, double high) {
	    if (coord <= low) {
	        return (coord < low ? BELOW : LOWEDGE);
	    }
	    if (coord >= high) {
	        return (coord > high ? ABOVE : HIGHEDGE);
	    }
	    return INSIDE;
    }


    
    public static String extr_value2(String ligne_data, String search) {
        StringTokenizer st = new StringTokenizer(ligne_data,":");
        while(st.hasMoreTokens()){
            String s_cell=st.nextToken();
            int ind_egal=s_cell.indexOf(search);
            if(ind_egal!=-1){
                return extr_value(s_cell);
            }
        }
	    return null;
    }
    
    public static String extr_value3(String ligne_data, String search) {
        StringTokenizer st = new StringTokenizer(ligne_data,"#");
        while(st.hasMoreTokens()){
            String s_cell=st.nextToken();
            int ind_egal=s_cell.indexOf(search);
            if(ind_egal!=-1){
                return extr_value(s_cell);
            }
        }
	    return null;
    }
    public static String extr_value4(String ligne_data, String search) {
        StringTokenizer st = new StringTokenizer(ligne_data,"@");
        while(st.hasMoreTokens()){
            String s_cell=st.nextToken();
            int ind_egal=s_cell.indexOf(search);
            if(ind_egal!=-1){
                return extr_value(s_cell);
            }
        }
	    return null;
    }
    /** 
    * displays a modal confirmation dialog
    *<p>
    * affichage d'un dialogue modal de confirmation
    * avec plusieurs choix possibles
    * renvoie true si option1, false si option 2
    */

    public static boolean Confirm(JFrame f,String option1, String option2,
    String alerte,String message){
//    	if(f!=null)
//    	f.setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));

    	Object[] options = {option1, option2};
    	options[0]=option1;
    	options[1]=option2;
    	int resp= JOptionPane.showOptionDialog(f,message,
    	alerte,JOptionPane.YES_NO_OPTION,
    	JOptionPane.QUESTION_MESSAGE,
    		null,     //don't use a custom Icon
    		options,  //the titles of buttons
    		option1); //the title of the default button
    		if(resp==JOptionPane.YES_NO_OPTION)return true;
    	else return false;
    	}

    /**
     * calculates NUT on the basis of the efficiency and R
     */
     public static double NUT_epsi(double epsilon, double R){
     	
         //cette mthode calcule le NUT  partir de epsilon et de R
     //en fonction du type d'changeur
         double X;

         if(R!=1){
             X=(1-epsilon*R)/(1-epsilon);
             return Math.log(X)/(1-R);
         }
         else return epsilon/(1-epsilon);
     }


     public static double[]  epsi_NUT(double mCp1, double mCp2, double UA){
     //cette mthode calcule epsilon  partir du NUT et de R
         double R, mCpmin, mCpmax, NUT, epsilon;
         double[]res=new double[2];
         mCpmin=mCp1;
         mCpmax=mCp2;
         if(mCp2<mCpmin){
             mCpmax=mCp1;
             mCpmin=mCp2;
         }
         NUT=UA/mCpmin;
         R=mCpmin/mCpmax;
         epsilon=Util.epsi_NUT(NUT,R);
         res[0]=epsilon;
         res[1]=mCpmin;
         return res;
     }
     

     public static double  epsi_NUT(double NUT, double R){
         return epsi_NUT(NUT,R,"contre_courant");
     }
     
     /**
     * calculates the efficiency on the basis of NUT and R
     */
     public static double  epsi_NUT(double NUT, double R, String typeHX){
     //cette procdure calcule epsilon  partir du NUT et de R
     //en fonction du type d'changeur
         double Expo;
         String deb=typeHX.substring(0,5);

         if (typeHX.equals("contre_courant")){
             if(R!=1){
                 Expo=-NUT*(1-R);
                 return (1-Math.exp(Expo))/(1-R*Math.exp(Expo));
             }
             else return NUT/(1+NUT);
         }
         else if (typeHX.equals("co_courant")){
             Expo=-NUT*(1+R);
             return (1-Math.exp(Expo))/(1+R);
         }
         else if (typeHX.equals("crois_ml_min")){
             Expo=-(1-Math.exp(-NUT*R))/R;
             return 1-Math.exp(Expo);
         }
         else if (typeHX.equals("crois_ml_max")){
             Expo=-(1-Math.exp(-NUT))*R;
             return (1-Math.exp(Expo))/R;
         } 
         else if (deb.equals("(p-n)")){
             String reduit=typeHX.substring(5).trim();
             double passes=Util.lit_d(reduit);
             double NUTp=NUT/passes;
             double T=Math.pow((1+(R*R)),0.5);
             double X=Math.exp(-NUTp*T);
             double Y=(1+X)/(1-X);
             double epsip=2/(1+R+(T*Y));
             double A=Math.pow((1-R*epsip)/(1-epsip),passes);
             return (A-1)/(A-R);
         }
         return -1;
     }
      
     /**
     * calculates NUT on the basis of the efficiency and R
     */
     public static double NUT_epsi(double epsilon, double R, String typeHX){
     	
         //cette mthode calcule le NUT  partir de epsilon et de R
     //en fonction du type d'changeur
         double X;
         String deb=typeHX.substring(0,5);

         if (typeHX.equals("contre_courant")){
             if(R!=1){
                 X=(1-epsilon*R)/(1-epsilon);
                 return Math.log(X)/(1-R);
             }
             else return epsilon/(1-epsilon);
         }
         
         else if (typeHX.equals("co_courant")){
             X=1-(epsilon*(1+R));
             if (X>0) return - Math.log(X)/(1+R);
             else{ 
                 double  eps_lim=1/(1+R);
                 String mess="Watch out : the maximum epsilon value for this kind of heat exchanger is "
                 +Util.aff_d(eps_lim,4);
                 JOptionPane.showMessageDialog(new JFrame(),mess);
                 return -1;
             }
         }
         
         else if (typeHX.equals("crois_ml_min")){
             X=1+R*Math.log(1-epsilon);
             if (X>0) return-Math.log(X)/R;
             else{ 
                 double eps_lim=1-Math.exp(-1/R);
                 String mess="Watch out : the maximum epsilon value for this kind of heat exchanger is "
                 +Util.aff_d(eps_lim,4);
                 JOptionPane.showMessageDialog(new JFrame(),mess);
                 return -1;
             }    
         }
         else if (typeHX.equals("crois_ml_max")){
             X=1+(Math.log(1-epsilon*R)/R);
             if (X>0) return -Math.log(X);
             else{ 
                 double eps_lim=(1-Math.exp(-R))/R;
                 String mess="Watch out : the maximum epsilon value for this kind of heat exchanger is "
                 +Util.aff_d(eps_lim,4);
                 JOptionPane.showMessageDialog(new JFrame(),mess);
                 return -1;
             }    
         }
         else if (deb.equals("(p-n)")){
             String reduit=typeHX.substring(5).trim();
             double passes=Util.lit_d(reduit);
             double inv=1/passes;
             double B=(1-R*epsilon)/(1-epsilon);
             double A=Math.pow(B,inv);
             double epsip=(A-1)/(A-R);
             double T=Math.pow((1+(R*R)),0.5);
             X=1+R+T;
             double Y=1+R-T;
             double Z=(2-(epsip*Y))/(2-(epsip*X));
             if (Z>0) return passes*Math.log(Z)/T;
             else{ 
                 double eps_lim=2/X;
                 String mess="Watch out : the maximum epsilon value for this kind of heat exchanger is "
                 +Util.aff_d(eps_lim,4);
                 JOptionPane.showMessageDialog(new JFrame(),mess);
                 return -1;
             }
         }
         return 0;
     }

   
}